
//----------------------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------------------
//
//  "uiTim.c"
//
//  Implementation file for UI build functions
//
//  Date: 11-07-2004
//
//----------------------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------------------

//----------------------------------------------------------------------------------------------------
//  Include header files
//----------------------------------------------------------------------------------------------------

#include "uiTim.h"
#include <Utility.h> // definition of NULL
#include "toolbox.h" // definition of errChk macro

extern int CVIFUNC_C GetUserBitmapFromText (char *imageText, int version, int *bitmapId); // needed if there are bitmaps
extern int CVIFUNC_C NewActiveXCtrlFromPersistence (int panel, const char *ctrlLabel,
                                                    int top, int left, char *defaultIID,
                                                    int binaryFormat, char *persistenceText,
                                                    HRESULT *activeXError); // needed if there are ActiveX controls

//----------------------------------------------------------------------------------------------------
//  Prototype UI build functions.
//----------------------------------------------------------------------------------------------------

int buildPanel_tim (int hParentPanel);
int buildMenu_tim (int hParentPanel);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Panel: TIMP
// ------------------------------------------------------------------------------------------------

// Control: TIMP_WRITE_WORD
int CVICALLBACK tim (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: TIMP_READ_WORD
int CVICALLBACK tim (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: TIMP_WRITE_DATA_WORD
int CVICALLBACK tim (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: TIMP_TIM_REGS
int CVICALLBACK tim (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: TIMP_BUTT_11
int CVICALLBACK tim (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: TIMP_BUTT_12
int CVICALLBACK tim (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: TIMP_BUTT_13
int CVICALLBACK tim (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: TIMP_BUTT_14
int CVICALLBACK tim (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: TIMP_BUTT_15
int CVICALLBACK tim (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: TIMP_BUTT_6
int CVICALLBACK tim (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: TIMP_BUTT_7
int CVICALLBACK tim (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: TIMP_BUTT_8
int CVICALLBACK tim (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: TIMP_BUTT_9
int CVICALLBACK tim (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: TIMP_BUTT_10
int CVICALLBACK tim (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: TIMP_BUTT_5
int CVICALLBACK tim (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: TIMP_BUTT_4
int CVICALLBACK tim (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: TIMP_BUTT_3
int CVICALLBACK tim (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: TIMP_BUTT_2
int CVICALLBACK tim (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: TIMP_BUTT_1
int CVICALLBACK tim (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

// Control: TIMP_BUTT_0
int CVICALLBACK tim (int panelHandle, int control, int event, void *callbackData, int eventData1, int eventData2);

//-------------------------------------------------------------------------------------------------
// Prototype callbacks for Menubar: TIM_MENU
// ------------------------------------------------------------------------------------------------

// Menu: MAIN_WINDOW
void CVICALLBACK timMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu: VME_WINDOW
void CVICALLBACK timMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);

// Menu: CLOSE
void CVICALLBACK timMenu (int menubarHandle, int menuItemID, void *callbackPtr, int panelHandle);


//-------------------------------------------------------------------------------------------------
// Declare identifiers for Panel:  TIMP
// ------------------------------------------------------------------------------------------------

int TIMP_WRITE_WORD                          = 0;  // control identifier
int TIMP_READ_DATA_WORD                      = 0;  // control identifier
int TIMP_READ_WORD                           = 0;  // control identifier
int TIMP_WRITE_DATA_WORD                     = 0;  // control identifier
int TIMP_WORD_ADDRESS                        = 0;  // control identifier
int TIMP_TIM_REGS                            = 0;  // control identifier
int TIMP_RBIT_11                             = 0;  // control identifier
int TIMP_BUTT_11                             = 0;  // control identifier
int TIMP_RBIT_12                             = 0;  // control identifier
int TIMP_BUTT_12                             = 0;  // control identifier
int TIMP_RBIT_13                             = 0;  // control identifier
int TIMP_BUTT_13                             = 0;  // control identifier
int TIMP_RBIT_14                             = 0;  // control identifier
int TIMP_BUTT_14                             = 0;  // control identifier
int TIMP_RBIT_15                             = 0;  // control identifier
int TIMP_BUTT_15                             = 0;  // control identifier
int TIMP_RBIT_6                              = 0;  // control identifier
int TIMP_BUTT_6                              = 0;  // control identifier
int TIMP_RBIT_7                              = 0;  // control identifier
int TIMP_BUTT_7                              = 0;  // control identifier
int TIMP_RBIT_8                              = 0;  // control identifier
int TIMP_BUTT_8                              = 0;  // control identifier
int TIMP_RBIT_9                              = 0;  // control identifier
int TIMP_BUTT_9                              = 0;  // control identifier
int TIMP_RBIT_10                             = 0;  // control identifier
int TIMP_BUTT_10                             = 0;  // control identifier
int TIMP_RBIT_5                              = 0;  // control identifier
int TIMP_BUTT_5                              = 0;  // control identifier
int TIMP_RBIT_4                              = 0;  // control identifier
int TIMP_BUTT_4                              = 0;  // control identifier
int TIMP_RBIT_3                              = 0;  // control identifier
int TIMP_BUTT_3                              = 0;  // control identifier
int TIMP_RBIT_2                              = 0;  // control identifier
int TIMP_BUTT_2                              = 0;  // control identifier
int TIMP_RBIT_1                              = 0;  // control identifier
int TIMP_BUTT_1                              = 0;  // control identifier
int TIMP_RBIT_0                              = 0;  // control identifier
int TIMP_BUTT_0                              = 0;  // control identifier
int TIMP_TEXTBOX                             = 0;  // control identifier
int TIMP_TEXTMSG_71                          = 0;  // control identifier
int TIMP_TEXTMSG_86                          = 0;  // control identifier
int TIMP_TEXTMSG_72                          = 0;  // control identifier
int TIMP_TEXTMSG_73                          = 0;  // control identifier
int TIMP_TEXTMSG_74                          = 0;  // control identifier
int TIMP_TEXTMSG_75                          = 0;  // control identifier
int TIMP_TEXTMSG_80                          = 0;  // control identifier
int TIMP_TEXTMSG_79                          = 0;  // control identifier
int TIMP_TEXTMSG_78                          = 0;  // control identifier
int TIMP_TEXTMSG_77                          = 0;  // control identifier
int TIMP_TEXTMSG_76                          = 0;  // control identifier
int TIMP_TEXTMSG_85                          = 0;  // control identifier
int TIMP_TEXTMSG_84                          = 0;  // control identifier
int TIMP_TEXTMSG_83                          = 0;  // control identifier
int TIMP_TEXTMSG_82                          = 0;  // control identifier
int TIMP_TEXTMSG_81                          = 0;  // control identifier

//-------------------------------------------------------------------------------------------------
// Declare identifiers for Menubar:  TIM_MENU
// ------------------------------------------------------------------------------------------------

int TIM_MENU_MAIN_WINDOW                     = 0;  // menu identifier
int TIM_MENU_VME_WINDOW                      = 0;  // menu identifier
int TIM_MENU_CLOSE                           = 0;  // menu identifier

//----------------------------------------------------------------------------------------------------
// buildPanel_tim ():  Build UI object TIMP; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildPanel_tim (int hParentPanel)
{
    int hPanel;
    int error = 0;
    int hMenubar;
    int screenHeight;
    int screenWidth;
    int resAdjustment;
    int monitorId;
    int bitmapId = 0; // needed if there are bitmaps 
    char *dataPtr = NULL; 
    float SFv;
    float SFh;

    // Create the panel
    hPanel = NewPanel (hParentPanel, "TIM - SLOT#13", 39, 286, 435, 390);

    // Set the panel's attributes
    SetPanelAttribute (hPanel, ATTR_CONSTANT_NAME, "TIMP");
    SetPanelAttribute (hPanel, ATTR_CALLBACK_FUNCTION_POINTER, 0);
//  SetPanelAttribute (hPanel, ATTR_DIMMED, 0);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_FRAME_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_SCROLL_BARS, VAL_NO_SCROLL_BARS);
    SetPanelAttribute (hPanel, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetPanelAttribute (hPanel, ATTR_HSCROLL_OFFSET, 0);
    SetPanelAttribute (hPanel, ATTR_BACKCOLOR, 0XB8C5C9);
//  SetPanelAttribute (hPanel, ATTR_TITLEBAR_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_THICKNESS, 16);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLEBAR_STYLE, VAL_CLASSIC);
// ****WARNING****  Not equipped to set panel's ATTR_SCROLL_BAR_STYLE = VAL_CLASSIC
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_COLOR, VAL_BLACK);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BACKCOLOR, VAL_LT_GRAY);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FRAME_STYLE, VAL_RAISED_OUTLINED_FRAME);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FRAME_THICKNESS, 5);
    SetPanelAttribute (hPanel, ATTR_SIZABLE, 0);
//  SetPanelAttribute (hPanel, ATTR_MOVABLE, 1);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_FONT, "VAL_DIALOG_FONT");
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_ITALIC, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_UNDERLINE, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_STRIKEOUT, 0);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_POINT_SIZE, 11);
    if (hParentPanel)
        SetPanelAttribute (hPanel, ATTR_TITLE_BOLD, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_PARENT_SHARES_SHORTCUT_KEYS, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_ACTIVATE_WHEN_CLICKED_ON, 1);
//  SetPanelAttribute (hPanel, ATTR_CAN_MINIMIZE, 1);
    SetPanelAttribute (hPanel, ATTR_CAN_MAXIMIZE, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_HEIGHT_FOR_SCALING, 0);
    SetPanelAttribute (hPanel, ATTR_MIN_WIDTH_FOR_SCALING, 0);
//  if (!hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_FLOATING, VAL_FLOAT_NEVER);
//  SetPanelAttribute (hPanel, ATTR_CLOSE_ITEM_VISIBLE, 1);
//  SetPanelAttribute (hPanel, ATTR_SYSTEM_MENU_VISIBLE, 1);
//  if (hParentPanel)
    //  SetPanelAttribute (hPanel, ATTR_TITLE_SIZE_TO_FONT, 1);
//  SetPanelAttribute (hPanel, ATTR_HAS_TASKBAR_BUTTON, 0);
//  SetPanelAttribute (hPanel, ATTR_VSCROLL_OFFSET, 0);

    // Build control: TIMP_WRITE_WORD
    TIMP_WRITE_WORD = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "WRITE", 400, 210);
    SetCtrlAttribute (hPanel, TIMP_WRITE_WORD, ATTR_CONSTANT_NAME, "WRITE_WORD");
//  SetCtrlAttribute (hPanel, TIMP_WRITE_WORD, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, TIMP_WRITE_WORD, ATTR_CALLBACK_FUNCTION_POINTER, tim);
    SetCtrlAttribute (hPanel, TIMP_WRITE_WORD, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TIMP_WRITE_WORD, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TIMP_WRITE_WORD, ATTR_CTRL_MODE, VAL_HOT);
    SetCtrlAttribute (hPanel, TIMP_WRITE_WORD, ATTR_LABEL_COLOR, 0X000099);
    SetCtrlAttribute (hPanel, TIMP_WRITE_WORD, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, TIMP_WRITE_WORD, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_WRITE_WORD, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_WRITE_WORD, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, TIMP_WRITE_WORD, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, TIMP_WRITE_WORD, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, TIMP_WRITE_WORD, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, TIMP_WRITE_WORD, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, TIMP_WRITE_WORD);
    SetCtrlAttribute (hPanel, TIMP_WRITE_WORD, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, TIMP_WRITE_WORD, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, TIMP_WRITE_WORD, ATTR_HEIGHT, 23);
    SetCtrlAttribute (hPanel, TIMP_WRITE_WORD, ATTR_WIDTH, 66);

    // Build control: TIMP_READ_DATA_WORD
    TIMP_READ_DATA_WORD = NewCtrl (hPanel, CTRL_NUMERIC, "", 369, 138);
    SetCtrlAttribute (hPanel, TIMP_READ_DATA_WORD, ATTR_CONSTANT_NAME, "READ_DATA_WORD");
//  SetCtrlAttribute (hPanel, TIMP_READ_DATA_WORD, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TIMP_READ_DATA_WORD, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, TIMP_READ_DATA_WORD, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, TIMP_READ_DATA_WORD, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, TIMP_READ_DATA_WORD, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TIMP_READ_DATA_WORD, ATTR_FRAME_COLOR, 0XB0B0B0);
    SetCtrlAttribute (hPanel, TIMP_READ_DATA_WORD, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, TIMP_READ_DATA_WORD, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_READ_DATA_WORD, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, TIMP_READ_DATA_WORD, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_READ_DATA_WORD, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_READ_DATA_WORD, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, TIMP_READ_DATA_WORD, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, TIMP_READ_DATA_WORD, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, TIMP_READ_DATA_WORD, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, TIMP_READ_DATA_WORD, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, TIMP_READ_DATA_WORD, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, TIMP_READ_DATA_WORD, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, TIMP_READ_DATA_WORD, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, TIMP_READ_DATA_WORD, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
//  SetCtrlAttribute (hPanel, TIMP_READ_DATA_WORD, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_READ_DATA_WORD, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, TIMP_READ_DATA_WORD, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_READ_DATA_WORD, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_READ_DATA_WORD, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TIMP_READ_DATA_WORD, ATTR_TEXT_POINT_SIZE, 16);
    SetCtrlAttribute (hPanel, TIMP_READ_DATA_WORD, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, TIMP_READ_DATA_WORD, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, TIMP_READ_DATA_WORD, ATTR_MAX_VALUE, 65535);
    SetCtrlAttribute (hPanel, TIMP_READ_DATA_WORD, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, TIMP_READ_DATA_WORD, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, TIMP_READ_DATA_WORD, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, TIMP_READ_DATA_WORD, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, TIMP_READ_DATA_WORD, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, TIMP_READ_DATA_WORD, ATTR_PADDING, 4);
    SetCtrlAttribute (hPanel, TIMP_READ_DATA_WORD, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, TIMP_READ_DATA_WORD, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, TIMP_READ_DATA_WORD);
//  SetCtrlAttribute (hPanel, TIMP_READ_DATA_WORD, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, TIMP_READ_DATA_WORD, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, TIMP_READ_DATA_WORD, ATTR_WIDTH, 66);
    SetCtrlAttribute (hPanel, TIMP_READ_DATA_WORD, ATTR_LABEL_TOP, 355);
    SetCtrlAttribute (hPanel, TIMP_READ_DATA_WORD, ATTR_LABEL_LEFT, 160);
    SetCtrlAttribute (hPanel, TIMP_READ_DATA_WORD, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, TIMP_READ_DATA_WORD, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, TIMP_READ_DATA_WORD, "", VAL_DS_READ, NULL, NULL);

    // Build control: TIMP_READ_WORD
    TIMP_READ_WORD = NewCtrl (hPanel, CTRL_SQUARE_COMMAND_BUTTON, "READ", 400, 138);
    SetCtrlAttribute (hPanel, TIMP_READ_WORD, ATTR_CONSTANT_NAME, "READ_WORD");
//  SetCtrlAttribute (hPanel, TIMP_READ_WORD, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, TIMP_READ_WORD, ATTR_CALLBACK_FUNCTION_POINTER, tim);
    SetCtrlAttribute (hPanel, TIMP_READ_WORD, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TIMP_READ_WORD, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TIMP_READ_WORD, ATTR_CTRL_MODE, VAL_HOT);
//  SetCtrlAttribute (hPanel, TIMP_READ_WORD, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_READ_WORD, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, TIMP_READ_WORD, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_READ_WORD, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_READ_WORD, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, TIMP_READ_WORD, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, TIMP_READ_WORD, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, TIMP_READ_WORD, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, TIMP_READ_WORD, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, TIMP_READ_WORD);
    SetCtrlAttribute (hPanel, TIMP_READ_WORD, ATTR_CMD_BUTTON_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, TIMP_READ_WORD, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, TIMP_READ_WORD, ATTR_HEIGHT, 23);
    SetCtrlAttribute (hPanel, TIMP_READ_WORD, ATTR_WIDTH, 66);

    // Build control: TIMP_WRITE_DATA_WORD
    TIMP_WRITE_DATA_WORD = NewCtrl (hPanel, CTRL_NUMERIC, "", 369, 210);
    SetCtrlAttribute (hPanel, TIMP_WRITE_DATA_WORD, ATTR_CONSTANT_NAME, "WRITE_DATA_WORD");
//  SetCtrlAttribute (hPanel, TIMP_WRITE_DATA_WORD, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, TIMP_WRITE_DATA_WORD, ATTR_CALLBACK_FUNCTION_POINTER, tim);
    SetCtrlAttribute (hPanel, TIMP_WRITE_DATA_WORD, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, TIMP_WRITE_DATA_WORD, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, TIMP_WRITE_DATA_WORD, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TIMP_WRITE_DATA_WORD, ATTR_FRAME_COLOR, 0XCC9966);
    SetCtrlAttribute (hPanel, TIMP_WRITE_DATA_WORD, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, TIMP_WRITE_DATA_WORD, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_WRITE_DATA_WORD, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, TIMP_WRITE_DATA_WORD, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_WRITE_DATA_WORD, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_WRITE_DATA_WORD, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, TIMP_WRITE_DATA_WORD, ATTR_LABEL_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, TIMP_WRITE_DATA_WORD, ATTR_LABEL_BOLD, 1);
//  SetCtrlAttribute (hPanel, TIMP_WRITE_DATA_WORD, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, TIMP_WRITE_DATA_WORD, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, TIMP_WRITE_DATA_WORD, ATTR_LABEL_WIDTH, 10);
    SetCtrlAttribute (hPanel, TIMP_WRITE_DATA_WORD, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, TIMP_WRITE_DATA_WORD, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, TIMP_WRITE_DATA_WORD, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, TIMP_WRITE_DATA_WORD, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, TIMP_WRITE_DATA_WORD, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, TIMP_WRITE_DATA_WORD, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_WRITE_DATA_WORD, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_WRITE_DATA_WORD, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TIMP_WRITE_DATA_WORD, ATTR_TEXT_POINT_SIZE, 16);
    SetCtrlAttribute (hPanel, TIMP_WRITE_DATA_WORD, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, TIMP_WRITE_DATA_WORD, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, TIMP_WRITE_DATA_WORD, ATTR_MAX_VALUE, 65535);
    SetCtrlAttribute (hPanel, TIMP_WRITE_DATA_WORD, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, TIMP_WRITE_DATA_WORD, ATTR_INCR_VALUE, 1);
    SetCtrlAttribute (hPanel, TIMP_WRITE_DATA_WORD, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, TIMP_WRITE_DATA_WORD, ATTR_PRECISION, 0);
    SetCtrlAttribute (hPanel, TIMP_WRITE_DATA_WORD, ATTR_CHECK_RANGE, VAL_COERCE);
    SetCtrlAttribute (hPanel, TIMP_WRITE_DATA_WORD, ATTR_PADDING, 4);
    SetCtrlAttribute (hPanel, TIMP_WRITE_DATA_WORD, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, TIMP_WRITE_DATA_WORD, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, TIMP_WRITE_DATA_WORD);
//  SetCtrlAttribute (hPanel, TIMP_WRITE_DATA_WORD, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, TIMP_WRITE_DATA_WORD, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, TIMP_WRITE_DATA_WORD, ATTR_WIDTH, 65);
    SetCtrlAttribute (hPanel, TIMP_WRITE_DATA_WORD, ATTR_LABEL_TOP, 355);
    SetCtrlAttribute (hPanel, TIMP_WRITE_DATA_WORD, ATTR_LABEL_LEFT, 249);
    SetCtrlAttribute (hPanel, TIMP_WRITE_DATA_WORD, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, TIMP_WRITE_DATA_WORD, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, TIMP_WRITE_DATA_WORD, "", VAL_DS_READ, NULL, NULL);

    // Build control: TIMP_WORD_ADDRESS
    TIMP_WORD_ADDRESS = NewCtrl (hPanel, CTRL_NUMERIC, "RelAddress", 390, 40);
    SetCtrlAttribute (hPanel, TIMP_WORD_ADDRESS, ATTR_CONSTANT_NAME, "WORD_ADDRESS");
//  SetCtrlAttribute (hPanel, TIMP_WORD_ADDRESS, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TIMP_WORD_ADDRESS, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, TIMP_WORD_ADDRESS, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, TIMP_WORD_ADDRESS, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
//  SetCtrlAttribute (hPanel, TIMP_WORD_ADDRESS, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TIMP_WORD_ADDRESS, ATTR_FRAME_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, TIMP_WORD_ADDRESS, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, TIMP_WORD_ADDRESS, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, TIMP_WORD_ADDRESS, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, TIMP_WORD_ADDRESS, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_WORD_ADDRESS, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_WORD_ADDRESS, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, TIMP_WORD_ADDRESS, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, TIMP_WORD_ADDRESS, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, TIMP_WORD_ADDRESS, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, TIMP_WORD_ADDRESS, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, TIMP_WORD_ADDRESS, ATTR_LABEL_WIDTH, 57);
    SetCtrlAttribute (hPanel, TIMP_WORD_ADDRESS, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, TIMP_WORD_ADDRESS, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, TIMP_WORD_ADDRESS, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, TIMP_WORD_ADDRESS, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, TIMP_WORD_ADDRESS, ATTR_TEXT_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, TIMP_WORD_ADDRESS, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_WORD_ADDRESS, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_WORD_ADDRESS, ATTR_TEXT_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, TIMP_WORD_ADDRESS, ATTR_TEXT_POINT_SIZE, 11);
    SetCtrlAttribute (hPanel, TIMP_WORD_ADDRESS, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, TIMP_WORD_ADDRESS, ATTR_TEXT_BGCOLOR, VAL_WHITE);
    SetCtrlAttribute (hPanel, TIMP_WORD_ADDRESS, ATTR_MAX_VALUE, -1);
    SetCtrlAttribute (hPanel, TIMP_WORD_ADDRESS, ATTR_MIN_VALUE, 0);
    SetCtrlAttribute (hPanel, TIMP_WORD_ADDRESS, ATTR_INCR_VALUE, 4);
    SetCtrlAttribute (hPanel, TIMP_WORD_ADDRESS, ATTR_FORMAT, VAL_HEX_FORMAT);
    SetCtrlAttribute (hPanel, TIMP_WORD_ADDRESS, ATTR_PRECISION, 0);
//  SetCtrlAttribute (hPanel, TIMP_WORD_ADDRESS, ATTR_CHECK_RANGE, VAL_NOTIFY);
    SetCtrlAttribute (hPanel, TIMP_WORD_ADDRESS, ATTR_PADDING, 6);
    SetCtrlAttribute (hPanel, TIMP_WORD_ADDRESS, ATTR_SHOW_RADIX, 1);
    SetCtrlAttribute (hPanel, TIMP_WORD_ADDRESS, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, TIMP_WORD_ADDRESS);
//  SetCtrlAttribute (hPanel, TIMP_WORD_ADDRESS, ATTR_SHOW_INCDEC_ARROWS, 1);
//  SetCtrlAttribute (hPanel, TIMP_WORD_ADDRESS, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, TIMP_WORD_ADDRESS, ATTR_WIDTH, 65);
    SetCtrlAttribute (hPanel, TIMP_WORD_ADDRESS, ATTR_LABEL_TOP, 374);
    SetCtrlAttribute (hPanel, TIMP_WORD_ADDRESS, ATTR_LABEL_LEFT, 44);
    SetCtrlAttribute (hPanel, TIMP_WORD_ADDRESS, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, TIMP_WORD_ADDRESS, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);
//  DSBindCtrl (hPanel, TIMP_WORD_ADDRESS, "", VAL_DS_READ, NULL, NULL);

    // Build control: TIMP_TIM_REGS
    TIMP_TIM_REGS = NewCtrl (hPanel, CTRL_RING, "TimRegister", 39, 16);
    SetCtrlAttribute (hPanel, TIMP_TIM_REGS, ATTR_CONSTANT_NAME, "TIM_REGS");
//  SetCtrlAttribute (hPanel, TIMP_TIM_REGS, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, TIMP_TIM_REGS, ATTR_CALLBACK_FUNCTION_POINTER, tim);
    SetCtrlAttribute (hPanel, TIMP_TIM_REGS, ATTR_SHORTCUT_KEY, 0);
    SetCtrlAttribute (hPanel, TIMP_TIM_REGS, ATTR_DATA_TYPE, VAL_UNSIGNED_INTEGER);
    InsertListItem (hPanel, TIMP_TIM_REGS, 0, " 0 - Enables              R/W", 0);
    InsertListItem (hPanel, TIMP_TIM_REGS, 1, " 1 - Commands         R/W", 2);
    InsertListItem (hPanel, TIMP_TIM_REGS, 2, " 2 - Burst Count        R/W", 4);
    InsertListItem (hPanel, TIMP_TIM_REGS, 3, " 3 - Frequency          R/W", 6);
    InsertListItem (hPanel, TIMP_TIM_REGS, 4, " 4 - Window              R/W", 8);
    InsertListItem (hPanel, TIMP_TIM_REGS, 5, " 5 - Delay                  R/W", 10);
    InsertListItem (hPanel, TIMP_TIM_REGS, 6, " 6 - Status                 R", 12);
    InsertListItem (hPanel, TIMP_TIM_REGS, 7, " 7 - FIFO                    R", 14);
    InsertListItem (hPanel, TIMP_TIM_REGS, 8, " 8 - Trigger ID low     R(+W)", 16);
    InsertListItem (hPanel, TIMP_TIM_REGS, 9, " 9 - Trigger ID high    R(+W)", 18);
    InsertListItem (hPanel, TIMP_TIM_REGS, 10, "10 - Trigger Bunch    R(/W)", 20);
    InsertListItem (hPanel, TIMP_TIM_REGS, 11, "11 - Trigger Type      R(/W)", 22);
    InsertListItem (hPanel, TIMP_TIM_REGS, 12, "12 - TTC Enables      R/W", 24);
    InsertListItem (hPanel, TIMP_TIM_REGS, 13, "13 - Sequencer         R/W", 26);
    InsertListItem (hPanel, TIMP_TIM_REGS, 14, "14 - SequencerEnd   R/W", 28);
    InsertListItem (hPanel, TIMP_TIM_REGS, 15, "15 - ROD Mask         R/W", 30);
    InsertListItem (hPanel, TIMP_TIM_REGS, 16, "16 - ROD Busy          R", 32);
    InsertListItem (hPanel, TIMP_TIM_REGS, 17, "17 - ROD Latch         R", 34);
    InsertListItem (hPanel, TIMP_TIM_REGS, 18, "18 - ROD Monitor      R", 36);
    InsertListItem (hPanel, TIMP_TIM_REGS, 19, "19 - TTC Data           R", 38);
    InsertListItem (hPanel, TIMP_TIM_REGS, 20, "20 - TTC Select         R/W", 40);
    InsertListItem (hPanel, TIMP_TIM_REGS, 21, "21 - TTC BCID          R", 42);
    InsertListItem (hPanel, TIMP_TIM_REGS, 22, "22 - TTCrxn Access  R", 44);
    InsertListItem (hPanel, TIMP_TIM_REGS, 23, "23 - TTC Command   R", 46);
    InsertListItem (hPanel, TIMP_TIM_REGS, 24, "24 - TIM Output         R", 48);
    InsertListItem (hPanel, TIMP_TIM_REGS, 25, "25 - TIM ID                R", 50);
//  SetCtrlAttribute (hPanel, TIMP_TIM_REGS, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TIMP_TIM_REGS, ATTR_FRAME_COLOR, 0XCC9966);
//  SetCtrlAttribute (hPanel, TIMP_TIM_REGS, ATTR_DISABLE_CHECK_MARK, 0);
    SetCtrlAttribute (hPanel, TIMP_TIM_REGS, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, TIMP_TIM_REGS, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, TIMP_TIM_REGS, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, TIMP_TIM_REGS, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_TIM_REGS, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_TIM_REGS, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, TIMP_TIM_REGS, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, TIMP_TIM_REGS, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, TIMP_TIM_REGS, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TIMP_TIM_REGS, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, TIMP_TIM_REGS, ATTR_LABEL_WIDTH, 59);
    SetCtrlAttribute (hPanel, TIMP_TIM_REGS, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, TIMP_TIM_REGS, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, TIMP_TIM_REGS, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, TIMP_TIM_REGS, ATTR_TEXT_COLOR, 0X000066);
    SetCtrlAttribute (hPanel, TIMP_TIM_REGS, ATTR_TEXT_FONT, VAL_MENU_FONT);
//  SetCtrlAttribute (hPanel, TIMP_TIM_REGS, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_TIM_REGS, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_TIM_REGS, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TIMP_TIM_REGS, ATTR_TEXT_POINT_SIZE, 16);
    SetCtrlAttribute (hPanel, TIMP_TIM_REGS, ATTR_TEXT_BOLD, 1);
    SetCtrlAttribute (hPanel, TIMP_TIM_REGS, ATTR_TEXT_BGCOLOR, VAL_WHITE);
//  SetCtrlAttribute (hPanel, TIMP_TIM_REGS, ATTR_DFLT_INDEX, 0);
    DefaultCtrl (hPanel, TIMP_TIM_REGS);
    SetCtrlAttribute (hPanel, TIMP_TIM_REGS, ATTR_WIDTH, 304);
    SetCtrlAttribute (hPanel, TIMP_TIM_REGS, ATTR_LABEL_TOP, 23);
    SetCtrlAttribute (hPanel, TIMP_TIM_REGS, ATTR_LABEL_LEFT, 113);
    SetCtrlAttribute (hPanel, TIMP_TIM_REGS, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, TIMP_TIM_REGS, ATTR_TEXT_JUSTIFY, VAL_CENTER_JUSTIFIED);

    // Build control: TIMP_RBIT_11
    TIMP_RBIT_11 = NewCtrl (hPanel, CTRL_SQUARE_LED, "", 260, 329);
    SetCtrlAttribute (hPanel, TIMP_RBIT_11, ATTR_CONSTANT_NAME, "RBIT_11");
//  SetCtrlAttribute (hPanel, TIMP_RBIT_11, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_11, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, TIMP_RBIT_11, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_11, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TIMP_RBIT_11, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_11, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_RBIT_11, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_11, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_11, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_11, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TIMP_RBIT_11, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_11, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_11, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, TIMP_RBIT_11, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, TIMP_RBIT_11, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, TIMP_RBIT_11, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_11, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, TIMP_RBIT_11, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, TIMP_RBIT_11, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, TIMP_RBIT_11);
    SetCtrlAttribute (hPanel, TIMP_RBIT_11, ATTR_ON_COLOR, VAL_CYAN);
    SetCtrlAttribute (hPanel, TIMP_RBIT_11, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, TIMP_RBIT_11, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, TIMP_RBIT_11, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, TIMP_RBIT_11, ATTR_LABEL_TOP, 261);
    SetCtrlAttribute (hPanel, TIMP_RBIT_11, ATTR_LABEL_LEFT, 296);
    SetCtrlAttribute (hPanel, TIMP_RBIT_11, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: TIMP_BUTT_11
    TIMP_BUTT_11 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 260, 349);
    SetCtrlAttribute (hPanel, TIMP_BUTT_11, ATTR_CONSTANT_NAME, "BUTT_11");
//  SetCtrlAttribute (hPanel, TIMP_BUTT_11, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, TIMP_BUTT_11, ATTR_CALLBACK_FUNCTION_POINTER, tim);
    SetCtrlAttribute (hPanel, TIMP_BUTT_11, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_11, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_11, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_11, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_BUTT_11, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_11, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_11, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_11, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_11, ATTR_LABEL_POINT_SIZE, 7);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_11, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_11, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_11, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, TIMP_BUTT_11, ATTR_LABEL_WIDTH, 6);
    SetCtrlAttribute (hPanel, TIMP_BUTT_11, ATTR_LABEL_HEIGHT, 9);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_11, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_11, ATTR_LABEL_BGCOLOR, 0XB7CABB);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_11, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_BUTT_11, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_11, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_11, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_11, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_11, ATTR_TEXT_POINT_SIZE, 7);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_11, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_11, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, TIMP_BUTT_11);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_11, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, TIMP_BUTT_11, ATTR_ON_COLOR, 0X00B0DD);
    SetCtrlAttribute (hPanel, TIMP_BUTT_11, ATTR_OFF_COLOR, 0XDDBC9B);
    SetCtrlAttribute (hPanel, TIMP_BUTT_11, ATTR_ON_TEXT, "ON");
    SetCtrlAttribute (hPanel, TIMP_BUTT_11, ATTR_OFF_TEXT, "OFF");
    SetCtrlAttribute (hPanel, TIMP_BUTT_11, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, TIMP_BUTT_11, ATTR_WIDTH, 24);
    SetCtrlAttribute (hPanel, TIMP_BUTT_11, ATTR_LABEL_TOP, 239);
    SetCtrlAttribute (hPanel, TIMP_BUTT_11, ATTR_LABEL_LEFT, 364);
    SetCtrlAttribute (hPanel, TIMP_BUTT_11, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: TIMP_RBIT_12
    TIMP_RBIT_12 = NewCtrl (hPanel, CTRL_SQUARE_LED, "", 277, 329);
    SetCtrlAttribute (hPanel, TIMP_RBIT_12, ATTR_CONSTANT_NAME, "RBIT_12");
//  SetCtrlAttribute (hPanel, TIMP_RBIT_12, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_12, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, TIMP_RBIT_12, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_12, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TIMP_RBIT_12, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_12, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_RBIT_12, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_12, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_12, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_12, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TIMP_RBIT_12, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_12, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_12, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, TIMP_RBIT_12, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, TIMP_RBIT_12, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, TIMP_RBIT_12, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_12, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, TIMP_RBIT_12, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, TIMP_RBIT_12, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, TIMP_RBIT_12);
    SetCtrlAttribute (hPanel, TIMP_RBIT_12, ATTR_ON_COLOR, VAL_CYAN);
    SetCtrlAttribute (hPanel, TIMP_RBIT_12, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, TIMP_RBIT_12, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, TIMP_RBIT_12, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, TIMP_RBIT_12, ATTR_LABEL_TOP, 278);
    SetCtrlAttribute (hPanel, TIMP_RBIT_12, ATTR_LABEL_LEFT, 296);
    SetCtrlAttribute (hPanel, TIMP_RBIT_12, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: TIMP_BUTT_12
    TIMP_BUTT_12 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 277, 349);
    SetCtrlAttribute (hPanel, TIMP_BUTT_12, ATTR_CONSTANT_NAME, "BUTT_12");
//  SetCtrlAttribute (hPanel, TIMP_BUTT_12, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, TIMP_BUTT_12, ATTR_CALLBACK_FUNCTION_POINTER, tim);
    SetCtrlAttribute (hPanel, TIMP_BUTT_12, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_12, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_12, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_12, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_BUTT_12, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_12, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_12, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_12, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_12, ATTR_LABEL_POINT_SIZE, 7);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_12, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_12, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_12, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, TIMP_BUTT_12, ATTR_LABEL_WIDTH, 6);
    SetCtrlAttribute (hPanel, TIMP_BUTT_12, ATTR_LABEL_HEIGHT, 9);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_12, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_12, ATTR_LABEL_BGCOLOR, 0XB7CABB);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_12, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_BUTT_12, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_12, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_12, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_12, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_12, ATTR_TEXT_POINT_SIZE, 7);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_12, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_12, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, TIMP_BUTT_12);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_12, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, TIMP_BUTT_12, ATTR_ON_COLOR, 0X00B0DD);
    SetCtrlAttribute (hPanel, TIMP_BUTT_12, ATTR_OFF_COLOR, 0XDDBC9B);
    SetCtrlAttribute (hPanel, TIMP_BUTT_12, ATTR_ON_TEXT, "ON");
    SetCtrlAttribute (hPanel, TIMP_BUTT_12, ATTR_OFF_TEXT, "OFF");
    SetCtrlAttribute (hPanel, TIMP_BUTT_12, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, TIMP_BUTT_12, ATTR_WIDTH, 24);
    SetCtrlAttribute (hPanel, TIMP_BUTT_12, ATTR_LABEL_TOP, 256);
    SetCtrlAttribute (hPanel, TIMP_BUTT_12, ATTR_LABEL_LEFT, 364);
    SetCtrlAttribute (hPanel, TIMP_BUTT_12, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: TIMP_RBIT_13
    TIMP_RBIT_13 = NewCtrl (hPanel, CTRL_SQUARE_LED, "", 294, 329);
    SetCtrlAttribute (hPanel, TIMP_RBIT_13, ATTR_CONSTANT_NAME, "RBIT_13");
//  SetCtrlAttribute (hPanel, TIMP_RBIT_13, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_13, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, TIMP_RBIT_13, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_13, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TIMP_RBIT_13, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_13, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_RBIT_13, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_13, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_13, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_13, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TIMP_RBIT_13, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_13, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_13, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, TIMP_RBIT_13, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, TIMP_RBIT_13, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, TIMP_RBIT_13, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_13, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, TIMP_RBIT_13, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, TIMP_RBIT_13, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, TIMP_RBIT_13);
    SetCtrlAttribute (hPanel, TIMP_RBIT_13, ATTR_ON_COLOR, VAL_CYAN);
    SetCtrlAttribute (hPanel, TIMP_RBIT_13, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, TIMP_RBIT_13, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, TIMP_RBIT_13, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, TIMP_RBIT_13, ATTR_LABEL_TOP, 295);
    SetCtrlAttribute (hPanel, TIMP_RBIT_13, ATTR_LABEL_LEFT, 296);
    SetCtrlAttribute (hPanel, TIMP_RBIT_13, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: TIMP_BUTT_13
    TIMP_BUTT_13 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 294, 349);
    SetCtrlAttribute (hPanel, TIMP_BUTT_13, ATTR_CONSTANT_NAME, "BUTT_13");
//  SetCtrlAttribute (hPanel, TIMP_BUTT_13, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, TIMP_BUTT_13, ATTR_CALLBACK_FUNCTION_POINTER, tim);
    SetCtrlAttribute (hPanel, TIMP_BUTT_13, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_13, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_13, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_13, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_BUTT_13, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_13, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_13, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_13, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_13, ATTR_LABEL_POINT_SIZE, 7);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_13, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_13, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_13, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, TIMP_BUTT_13, ATTR_LABEL_WIDTH, 6);
    SetCtrlAttribute (hPanel, TIMP_BUTT_13, ATTR_LABEL_HEIGHT, 9);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_13, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_13, ATTR_LABEL_BGCOLOR, 0XB7CABB);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_13, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_BUTT_13, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_13, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_13, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_13, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_13, ATTR_TEXT_POINT_SIZE, 7);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_13, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_13, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, TIMP_BUTT_13);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_13, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, TIMP_BUTT_13, ATTR_ON_COLOR, 0X00B0DD);
    SetCtrlAttribute (hPanel, TIMP_BUTT_13, ATTR_OFF_COLOR, 0XDDBC9B);
    SetCtrlAttribute (hPanel, TIMP_BUTT_13, ATTR_ON_TEXT, "ON");
    SetCtrlAttribute (hPanel, TIMP_BUTT_13, ATTR_OFF_TEXT, "OFF");
    SetCtrlAttribute (hPanel, TIMP_BUTT_13, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, TIMP_BUTT_13, ATTR_WIDTH, 24);
    SetCtrlAttribute (hPanel, TIMP_BUTT_13, ATTR_LABEL_TOP, 273);
    SetCtrlAttribute (hPanel, TIMP_BUTT_13, ATTR_LABEL_LEFT, 364);
    SetCtrlAttribute (hPanel, TIMP_BUTT_13, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: TIMP_RBIT_14
    TIMP_RBIT_14 = NewCtrl (hPanel, CTRL_SQUARE_LED, "", 311, 329);
    SetCtrlAttribute (hPanel, TIMP_RBIT_14, ATTR_CONSTANT_NAME, "RBIT_14");
//  SetCtrlAttribute (hPanel, TIMP_RBIT_14, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_14, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, TIMP_RBIT_14, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_14, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TIMP_RBIT_14, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_14, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_RBIT_14, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_14, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_14, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_14, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TIMP_RBIT_14, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_14, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_14, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, TIMP_RBIT_14, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, TIMP_RBIT_14, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, TIMP_RBIT_14, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_14, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, TIMP_RBIT_14, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, TIMP_RBIT_14, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, TIMP_RBIT_14);
    SetCtrlAttribute (hPanel, TIMP_RBIT_14, ATTR_ON_COLOR, VAL_CYAN);
    SetCtrlAttribute (hPanel, TIMP_RBIT_14, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, TIMP_RBIT_14, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, TIMP_RBIT_14, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, TIMP_RBIT_14, ATTR_LABEL_TOP, 312);
    SetCtrlAttribute (hPanel, TIMP_RBIT_14, ATTR_LABEL_LEFT, 296);
    SetCtrlAttribute (hPanel, TIMP_RBIT_14, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: TIMP_BUTT_14
    TIMP_BUTT_14 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 311, 349);
    SetCtrlAttribute (hPanel, TIMP_BUTT_14, ATTR_CONSTANT_NAME, "BUTT_14");
//  SetCtrlAttribute (hPanel, TIMP_BUTT_14, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, TIMP_BUTT_14, ATTR_CALLBACK_FUNCTION_POINTER, tim);
    SetCtrlAttribute (hPanel, TIMP_BUTT_14, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_14, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_14, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_14, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_BUTT_14, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_14, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_14, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_14, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_14, ATTR_LABEL_POINT_SIZE, 7);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_14, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_14, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_14, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, TIMP_BUTT_14, ATTR_LABEL_WIDTH, 6);
    SetCtrlAttribute (hPanel, TIMP_BUTT_14, ATTR_LABEL_HEIGHT, 9);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_14, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_14, ATTR_LABEL_BGCOLOR, 0XB7CABB);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_14, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_BUTT_14, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_14, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_14, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_14, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_14, ATTR_TEXT_POINT_SIZE, 7);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_14, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_14, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, TIMP_BUTT_14);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_14, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, TIMP_BUTT_14, ATTR_ON_COLOR, 0X00B0DD);
    SetCtrlAttribute (hPanel, TIMP_BUTT_14, ATTR_OFF_COLOR, 0XDDBC9B);
    SetCtrlAttribute (hPanel, TIMP_BUTT_14, ATTR_ON_TEXT, "ON");
    SetCtrlAttribute (hPanel, TIMP_BUTT_14, ATTR_OFF_TEXT, "OFF");
    SetCtrlAttribute (hPanel, TIMP_BUTT_14, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, TIMP_BUTT_14, ATTR_WIDTH, 24);
    SetCtrlAttribute (hPanel, TIMP_BUTT_14, ATTR_LABEL_TOP, 290);
    SetCtrlAttribute (hPanel, TIMP_BUTT_14, ATTR_LABEL_LEFT, 364);
    SetCtrlAttribute (hPanel, TIMP_BUTT_14, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: TIMP_RBIT_15
    TIMP_RBIT_15 = NewCtrl (hPanel, CTRL_SQUARE_LED, "", 328, 329);
    SetCtrlAttribute (hPanel, TIMP_RBIT_15, ATTR_CONSTANT_NAME, "RBIT_15");
//  SetCtrlAttribute (hPanel, TIMP_RBIT_15, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_15, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, TIMP_RBIT_15, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_15, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TIMP_RBIT_15, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_15, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_RBIT_15, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_15, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_15, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_15, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TIMP_RBIT_15, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_15, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_15, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, TIMP_RBIT_15, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, TIMP_RBIT_15, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, TIMP_RBIT_15, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_15, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, TIMP_RBIT_15, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, TIMP_RBIT_15, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, TIMP_RBIT_15);
    SetCtrlAttribute (hPanel, TIMP_RBIT_15, ATTR_ON_COLOR, VAL_CYAN);
    SetCtrlAttribute (hPanel, TIMP_RBIT_15, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, TIMP_RBIT_15, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, TIMP_RBIT_15, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, TIMP_RBIT_15, ATTR_LABEL_TOP, 329);
    SetCtrlAttribute (hPanel, TIMP_RBIT_15, ATTR_LABEL_LEFT, 296);
    SetCtrlAttribute (hPanel, TIMP_RBIT_15, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: TIMP_BUTT_15
    TIMP_BUTT_15 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 328, 349);
    SetCtrlAttribute (hPanel, TIMP_BUTT_15, ATTR_CONSTANT_NAME, "BUTT_15");
//  SetCtrlAttribute (hPanel, TIMP_BUTT_15, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, TIMP_BUTT_15, ATTR_CALLBACK_FUNCTION_POINTER, tim);
    SetCtrlAttribute (hPanel, TIMP_BUTT_15, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_15, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_15, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_15, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_BUTT_15, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_15, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_15, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_15, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_15, ATTR_LABEL_POINT_SIZE, 7);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_15, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_15, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_15, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, TIMP_BUTT_15, ATTR_LABEL_WIDTH, 6);
    SetCtrlAttribute (hPanel, TIMP_BUTT_15, ATTR_LABEL_HEIGHT, 9);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_15, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_15, ATTR_LABEL_BGCOLOR, 0XB7CABB);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_15, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_BUTT_15, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_15, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_15, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_15, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_15, ATTR_TEXT_POINT_SIZE, 7);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_15, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_15, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, TIMP_BUTT_15);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_15, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, TIMP_BUTT_15, ATTR_ON_COLOR, 0X00B0DD);
    SetCtrlAttribute (hPanel, TIMP_BUTT_15, ATTR_OFF_COLOR, 0XDDBC9B);
    SetCtrlAttribute (hPanel, TIMP_BUTT_15, ATTR_ON_TEXT, "ON");
    SetCtrlAttribute (hPanel, TIMP_BUTT_15, ATTR_OFF_TEXT, "OFF");
    SetCtrlAttribute (hPanel, TIMP_BUTT_15, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, TIMP_BUTT_15, ATTR_WIDTH, 24);
    SetCtrlAttribute (hPanel, TIMP_BUTT_15, ATTR_LABEL_TOP, 307);
    SetCtrlAttribute (hPanel, TIMP_BUTT_15, ATTR_LABEL_LEFT, 364);
    SetCtrlAttribute (hPanel, TIMP_BUTT_15, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: TIMP_RBIT_6
    TIMP_RBIT_6 = NewCtrl (hPanel, CTRL_SQUARE_LED, "", 175, 329);
    SetCtrlAttribute (hPanel, TIMP_RBIT_6, ATTR_CONSTANT_NAME, "RBIT_6");
//  SetCtrlAttribute (hPanel, TIMP_RBIT_6, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_6, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, TIMP_RBIT_6, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_6, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TIMP_RBIT_6, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_6, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_RBIT_6, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_6, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_6, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_6, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TIMP_RBIT_6, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_6, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_6, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, TIMP_RBIT_6, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, TIMP_RBIT_6, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, TIMP_RBIT_6, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_6, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, TIMP_RBIT_6, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, TIMP_RBIT_6, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, TIMP_RBIT_6);
    SetCtrlAttribute (hPanel, TIMP_RBIT_6, ATTR_ON_COLOR, VAL_CYAN);
    SetCtrlAttribute (hPanel, TIMP_RBIT_6, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, TIMP_RBIT_6, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, TIMP_RBIT_6, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, TIMP_RBIT_6, ATTR_LABEL_TOP, 176);
    SetCtrlAttribute (hPanel, TIMP_RBIT_6, ATTR_LABEL_LEFT, 296);
    SetCtrlAttribute (hPanel, TIMP_RBIT_6, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: TIMP_BUTT_6
    TIMP_BUTT_6 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 175, 349);
    SetCtrlAttribute (hPanel, TIMP_BUTT_6, ATTR_CONSTANT_NAME, "BUTT_6");
//  SetCtrlAttribute (hPanel, TIMP_BUTT_6, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, TIMP_BUTT_6, ATTR_CALLBACK_FUNCTION_POINTER, tim);
    SetCtrlAttribute (hPanel, TIMP_BUTT_6, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_6, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_6, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_6, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_BUTT_6, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_6, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_6, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_6, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_6, ATTR_LABEL_POINT_SIZE, 7);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_6, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_6, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_6, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, TIMP_BUTT_6, ATTR_LABEL_WIDTH, 6);
    SetCtrlAttribute (hPanel, TIMP_BUTT_6, ATTR_LABEL_HEIGHT, 9);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_6, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_6, ATTR_LABEL_BGCOLOR, 0XB7CABB);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_6, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_BUTT_6, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_6, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_6, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_6, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_6, ATTR_TEXT_POINT_SIZE, 7);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_6, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_6, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, TIMP_BUTT_6);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_6, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, TIMP_BUTT_6, ATTR_ON_COLOR, 0X00B0DD);
    SetCtrlAttribute (hPanel, TIMP_BUTT_6, ATTR_OFF_COLOR, 0XDDBC9B);
    SetCtrlAttribute (hPanel, TIMP_BUTT_6, ATTR_ON_TEXT, "ON");
    SetCtrlAttribute (hPanel, TIMP_BUTT_6, ATTR_OFF_TEXT, "OFF");
    SetCtrlAttribute (hPanel, TIMP_BUTT_6, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, TIMP_BUTT_6, ATTR_WIDTH, 24);
    SetCtrlAttribute (hPanel, TIMP_BUTT_6, ATTR_LABEL_TOP, 154);
    SetCtrlAttribute (hPanel, TIMP_BUTT_6, ATTR_LABEL_LEFT, 364);
    SetCtrlAttribute (hPanel, TIMP_BUTT_6, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: TIMP_RBIT_7
    TIMP_RBIT_7 = NewCtrl (hPanel, CTRL_SQUARE_LED, "", 192, 329);
    SetCtrlAttribute (hPanel, TIMP_RBIT_7, ATTR_CONSTANT_NAME, "RBIT_7");
//  SetCtrlAttribute (hPanel, TIMP_RBIT_7, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_7, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, TIMP_RBIT_7, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_7, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TIMP_RBIT_7, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_7, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_RBIT_7, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_7, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_7, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_7, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TIMP_RBIT_7, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_7, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_7, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, TIMP_RBIT_7, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, TIMP_RBIT_7, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, TIMP_RBIT_7, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_7, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, TIMP_RBIT_7, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, TIMP_RBIT_7, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, TIMP_RBIT_7);
    SetCtrlAttribute (hPanel, TIMP_RBIT_7, ATTR_ON_COLOR, VAL_CYAN);
    SetCtrlAttribute (hPanel, TIMP_RBIT_7, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, TIMP_RBIT_7, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, TIMP_RBIT_7, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, TIMP_RBIT_7, ATTR_LABEL_TOP, 193);
    SetCtrlAttribute (hPanel, TIMP_RBIT_7, ATTR_LABEL_LEFT, 296);
    SetCtrlAttribute (hPanel, TIMP_RBIT_7, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: TIMP_BUTT_7
    TIMP_BUTT_7 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 192, 349);
    SetCtrlAttribute (hPanel, TIMP_BUTT_7, ATTR_CONSTANT_NAME, "BUTT_7");
//  SetCtrlAttribute (hPanel, TIMP_BUTT_7, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, TIMP_BUTT_7, ATTR_CALLBACK_FUNCTION_POINTER, tim);
    SetCtrlAttribute (hPanel, TIMP_BUTT_7, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_7, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_7, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_7, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_BUTT_7, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_7, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_7, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_7, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_7, ATTR_LABEL_POINT_SIZE, 7);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_7, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_7, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_7, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, TIMP_BUTT_7, ATTR_LABEL_WIDTH, 6);
    SetCtrlAttribute (hPanel, TIMP_BUTT_7, ATTR_LABEL_HEIGHT, 9);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_7, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_7, ATTR_LABEL_BGCOLOR, 0XB7CABB);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_7, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_BUTT_7, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_7, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_7, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_7, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_7, ATTR_TEXT_POINT_SIZE, 7);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_7, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_7, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, TIMP_BUTT_7);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_7, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, TIMP_BUTT_7, ATTR_ON_COLOR, 0X00B0DD);
    SetCtrlAttribute (hPanel, TIMP_BUTT_7, ATTR_OFF_COLOR, 0XDDBC9B);
    SetCtrlAttribute (hPanel, TIMP_BUTT_7, ATTR_ON_TEXT, "ON");
    SetCtrlAttribute (hPanel, TIMP_BUTT_7, ATTR_OFF_TEXT, "OFF");
    SetCtrlAttribute (hPanel, TIMP_BUTT_7, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, TIMP_BUTT_7, ATTR_WIDTH, 24);
    SetCtrlAttribute (hPanel, TIMP_BUTT_7, ATTR_LABEL_TOP, 171);
    SetCtrlAttribute (hPanel, TIMP_BUTT_7, ATTR_LABEL_LEFT, 364);
    SetCtrlAttribute (hPanel, TIMP_BUTT_7, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: TIMP_RBIT_8
    TIMP_RBIT_8 = NewCtrl (hPanel, CTRL_SQUARE_LED, "", 209, 329);
    SetCtrlAttribute (hPanel, TIMP_RBIT_8, ATTR_CONSTANT_NAME, "RBIT_8");
//  SetCtrlAttribute (hPanel, TIMP_RBIT_8, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_8, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, TIMP_RBIT_8, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_8, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TIMP_RBIT_8, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_8, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_RBIT_8, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_8, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_8, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_8, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TIMP_RBIT_8, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_8, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_8, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, TIMP_RBIT_8, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, TIMP_RBIT_8, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, TIMP_RBIT_8, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_8, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, TIMP_RBIT_8, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, TIMP_RBIT_8, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, TIMP_RBIT_8);
    SetCtrlAttribute (hPanel, TIMP_RBIT_8, ATTR_ON_COLOR, VAL_CYAN);
    SetCtrlAttribute (hPanel, TIMP_RBIT_8, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, TIMP_RBIT_8, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, TIMP_RBIT_8, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, TIMP_RBIT_8, ATTR_LABEL_TOP, 210);
    SetCtrlAttribute (hPanel, TIMP_RBIT_8, ATTR_LABEL_LEFT, 296);
    SetCtrlAttribute (hPanel, TIMP_RBIT_8, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: TIMP_BUTT_8
    TIMP_BUTT_8 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 209, 349);
    SetCtrlAttribute (hPanel, TIMP_BUTT_8, ATTR_CONSTANT_NAME, "BUTT_8");
//  SetCtrlAttribute (hPanel, TIMP_BUTT_8, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, TIMP_BUTT_8, ATTR_CALLBACK_FUNCTION_POINTER, tim);
    SetCtrlAttribute (hPanel, TIMP_BUTT_8, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_8, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_8, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_8, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_BUTT_8, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_8, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_8, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_8, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_8, ATTR_LABEL_POINT_SIZE, 7);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_8, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_8, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_8, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, TIMP_BUTT_8, ATTR_LABEL_WIDTH, 6);
    SetCtrlAttribute (hPanel, TIMP_BUTT_8, ATTR_LABEL_HEIGHT, 9);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_8, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_8, ATTR_LABEL_BGCOLOR, 0XB7CABB);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_8, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_BUTT_8, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_8, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_8, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_8, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_8, ATTR_TEXT_POINT_SIZE, 7);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_8, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_8, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, TIMP_BUTT_8);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_8, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, TIMP_BUTT_8, ATTR_ON_COLOR, 0X00B0DD);
    SetCtrlAttribute (hPanel, TIMP_BUTT_8, ATTR_OFF_COLOR, 0XDDBC9B);
    SetCtrlAttribute (hPanel, TIMP_BUTT_8, ATTR_ON_TEXT, "ON");
    SetCtrlAttribute (hPanel, TIMP_BUTT_8, ATTR_OFF_TEXT, "OFF");
    SetCtrlAttribute (hPanel, TIMP_BUTT_8, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, TIMP_BUTT_8, ATTR_WIDTH, 24);
    SetCtrlAttribute (hPanel, TIMP_BUTT_8, ATTR_LABEL_TOP, 188);
    SetCtrlAttribute (hPanel, TIMP_BUTT_8, ATTR_LABEL_LEFT, 364);
    SetCtrlAttribute (hPanel, TIMP_BUTT_8, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: TIMP_RBIT_9
    TIMP_RBIT_9 = NewCtrl (hPanel, CTRL_SQUARE_LED, "", 226, 329);
    SetCtrlAttribute (hPanel, TIMP_RBIT_9, ATTR_CONSTANT_NAME, "RBIT_9");
//  SetCtrlAttribute (hPanel, TIMP_RBIT_9, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_9, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, TIMP_RBIT_9, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_9, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TIMP_RBIT_9, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_9, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_RBIT_9, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_9, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_9, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_9, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TIMP_RBIT_9, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_9, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_9, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, TIMP_RBIT_9, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, TIMP_RBIT_9, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, TIMP_RBIT_9, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_9, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, TIMP_RBIT_9, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, TIMP_RBIT_9, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, TIMP_RBIT_9);
    SetCtrlAttribute (hPanel, TIMP_RBIT_9, ATTR_ON_COLOR, VAL_CYAN);
    SetCtrlAttribute (hPanel, TIMP_RBIT_9, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, TIMP_RBIT_9, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, TIMP_RBIT_9, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, TIMP_RBIT_9, ATTR_LABEL_TOP, 227);
    SetCtrlAttribute (hPanel, TIMP_RBIT_9, ATTR_LABEL_LEFT, 296);
    SetCtrlAttribute (hPanel, TIMP_RBIT_9, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: TIMP_BUTT_9
    TIMP_BUTT_9 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 226, 349);
    SetCtrlAttribute (hPanel, TIMP_BUTT_9, ATTR_CONSTANT_NAME, "BUTT_9");
//  SetCtrlAttribute (hPanel, TIMP_BUTT_9, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, TIMP_BUTT_9, ATTR_CALLBACK_FUNCTION_POINTER, tim);
    SetCtrlAttribute (hPanel, TIMP_BUTT_9, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_9, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_9, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_9, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_BUTT_9, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_9, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_9, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_9, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_9, ATTR_LABEL_POINT_SIZE, 7);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_9, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_9, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_9, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, TIMP_BUTT_9, ATTR_LABEL_WIDTH, 6);
    SetCtrlAttribute (hPanel, TIMP_BUTT_9, ATTR_LABEL_HEIGHT, 9);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_9, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_9, ATTR_LABEL_BGCOLOR, 0XB7CABB);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_9, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_BUTT_9, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_9, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_9, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_9, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_9, ATTR_TEXT_POINT_SIZE, 7);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_9, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_9, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, TIMP_BUTT_9);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_9, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, TIMP_BUTT_9, ATTR_ON_COLOR, 0X00B0DD);
    SetCtrlAttribute (hPanel, TIMP_BUTT_9, ATTR_OFF_COLOR, 0XDDBC9B);
    SetCtrlAttribute (hPanel, TIMP_BUTT_9, ATTR_ON_TEXT, "ON");
    SetCtrlAttribute (hPanel, TIMP_BUTT_9, ATTR_OFF_TEXT, "OFF");
    SetCtrlAttribute (hPanel, TIMP_BUTT_9, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, TIMP_BUTT_9, ATTR_WIDTH, 24);
    SetCtrlAttribute (hPanel, TIMP_BUTT_9, ATTR_LABEL_TOP, 205);
    SetCtrlAttribute (hPanel, TIMP_BUTT_9, ATTR_LABEL_LEFT, 364);
    SetCtrlAttribute (hPanel, TIMP_BUTT_9, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: TIMP_RBIT_10
    TIMP_RBIT_10 = NewCtrl (hPanel, CTRL_SQUARE_LED, "", 243, 329);
    SetCtrlAttribute (hPanel, TIMP_RBIT_10, ATTR_CONSTANT_NAME, "RBIT_10");
//  SetCtrlAttribute (hPanel, TIMP_RBIT_10, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_10, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, TIMP_RBIT_10, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_10, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TIMP_RBIT_10, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_10, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_RBIT_10, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_10, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_10, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_10, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TIMP_RBIT_10, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_10, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_10, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, TIMP_RBIT_10, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, TIMP_RBIT_10, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, TIMP_RBIT_10, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_10, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, TIMP_RBIT_10, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, TIMP_RBIT_10, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, TIMP_RBIT_10);
    SetCtrlAttribute (hPanel, TIMP_RBIT_10, ATTR_ON_COLOR, VAL_CYAN);
    SetCtrlAttribute (hPanel, TIMP_RBIT_10, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, TIMP_RBIT_10, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, TIMP_RBIT_10, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, TIMP_RBIT_10, ATTR_LABEL_TOP, 244);
    SetCtrlAttribute (hPanel, TIMP_RBIT_10, ATTR_LABEL_LEFT, 296);
    SetCtrlAttribute (hPanel, TIMP_RBIT_10, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: TIMP_BUTT_10
    TIMP_BUTT_10 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 243, 349);
    SetCtrlAttribute (hPanel, TIMP_BUTT_10, ATTR_CONSTANT_NAME, "BUTT_10");
//  SetCtrlAttribute (hPanel, TIMP_BUTT_10, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, TIMP_BUTT_10, ATTR_CALLBACK_FUNCTION_POINTER, tim);
    SetCtrlAttribute (hPanel, TIMP_BUTT_10, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_10, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_10, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_10, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_BUTT_10, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_10, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_10, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_10, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_10, ATTR_LABEL_POINT_SIZE, 7);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_10, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_10, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_10, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, TIMP_BUTT_10, ATTR_LABEL_WIDTH, 6);
    SetCtrlAttribute (hPanel, TIMP_BUTT_10, ATTR_LABEL_HEIGHT, 9);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_10, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_10, ATTR_LABEL_BGCOLOR, 0XB7CABB);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_10, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_BUTT_10, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_10, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_10, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_10, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_10, ATTR_TEXT_POINT_SIZE, 7);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_10, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_10, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, TIMP_BUTT_10);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_10, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, TIMP_BUTT_10, ATTR_ON_COLOR, 0X00B0DD);
    SetCtrlAttribute (hPanel, TIMP_BUTT_10, ATTR_OFF_COLOR, 0XDDBC9B);
    SetCtrlAttribute (hPanel, TIMP_BUTT_10, ATTR_ON_TEXT, "ON");
    SetCtrlAttribute (hPanel, TIMP_BUTT_10, ATTR_OFF_TEXT, "OFF");
    SetCtrlAttribute (hPanel, TIMP_BUTT_10, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, TIMP_BUTT_10, ATTR_WIDTH, 24);
    SetCtrlAttribute (hPanel, TIMP_BUTT_10, ATTR_LABEL_TOP, 222);
    SetCtrlAttribute (hPanel, TIMP_BUTT_10, ATTR_LABEL_LEFT, 364);
    SetCtrlAttribute (hPanel, TIMP_BUTT_10, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: TIMP_RBIT_5
    TIMP_RBIT_5 = NewCtrl (hPanel, CTRL_SQUARE_LED, "", 158, 329);
    SetCtrlAttribute (hPanel, TIMP_RBIT_5, ATTR_CONSTANT_NAME, "RBIT_5");
//  SetCtrlAttribute (hPanel, TIMP_RBIT_5, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_5, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, TIMP_RBIT_5, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_5, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TIMP_RBIT_5, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_5, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_RBIT_5, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_5, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_5, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_5, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TIMP_RBIT_5, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_5, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_5, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, TIMP_RBIT_5, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, TIMP_RBIT_5, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, TIMP_RBIT_5, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_5, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, TIMP_RBIT_5, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, TIMP_RBIT_5, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, TIMP_RBIT_5);
    SetCtrlAttribute (hPanel, TIMP_RBIT_5, ATTR_ON_COLOR, VAL_CYAN);
    SetCtrlAttribute (hPanel, TIMP_RBIT_5, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, TIMP_RBIT_5, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, TIMP_RBIT_5, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, TIMP_RBIT_5, ATTR_LABEL_TOP, 159);
    SetCtrlAttribute (hPanel, TIMP_RBIT_5, ATTR_LABEL_LEFT, 296);
    SetCtrlAttribute (hPanel, TIMP_RBIT_5, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: TIMP_BUTT_5
    TIMP_BUTT_5 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 158, 349);
    SetCtrlAttribute (hPanel, TIMP_BUTT_5, ATTR_CONSTANT_NAME, "BUTT_5");
//  SetCtrlAttribute (hPanel, TIMP_BUTT_5, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, TIMP_BUTT_5, ATTR_CALLBACK_FUNCTION_POINTER, tim);
    SetCtrlAttribute (hPanel, TIMP_BUTT_5, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_5, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_5, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_5, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_BUTT_5, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_5, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_5, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_5, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_5, ATTR_LABEL_POINT_SIZE, 7);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_5, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_5, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_5, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, TIMP_BUTT_5, ATTR_LABEL_WIDTH, 6);
    SetCtrlAttribute (hPanel, TIMP_BUTT_5, ATTR_LABEL_HEIGHT, 9);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_5, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_5, ATTR_LABEL_BGCOLOR, 0XB7CABB);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_5, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_BUTT_5, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_5, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_5, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_5, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_5, ATTR_TEXT_POINT_SIZE, 7);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_5, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_5, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, TIMP_BUTT_5);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_5, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, TIMP_BUTT_5, ATTR_ON_COLOR, 0X00B0DD);
    SetCtrlAttribute (hPanel, TIMP_BUTT_5, ATTR_OFF_COLOR, 0XDDBC9B);
    SetCtrlAttribute (hPanel, TIMP_BUTT_5, ATTR_ON_TEXT, "ON");
    SetCtrlAttribute (hPanel, TIMP_BUTT_5, ATTR_OFF_TEXT, "OFF");
    SetCtrlAttribute (hPanel, TIMP_BUTT_5, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, TIMP_BUTT_5, ATTR_WIDTH, 24);
    SetCtrlAttribute (hPanel, TIMP_BUTT_5, ATTR_LABEL_TOP, 137);
    SetCtrlAttribute (hPanel, TIMP_BUTT_5, ATTR_LABEL_LEFT, 364);
    SetCtrlAttribute (hPanel, TIMP_BUTT_5, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: TIMP_RBIT_4
    TIMP_RBIT_4 = NewCtrl (hPanel, CTRL_SQUARE_LED, "", 141, 329);
    SetCtrlAttribute (hPanel, TIMP_RBIT_4, ATTR_CONSTANT_NAME, "RBIT_4");
//  SetCtrlAttribute (hPanel, TIMP_RBIT_4, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_4, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, TIMP_RBIT_4, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TIMP_RBIT_4, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_4, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_RBIT_4, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_4, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_4, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_4, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TIMP_RBIT_4, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_4, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_4, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, TIMP_RBIT_4, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, TIMP_RBIT_4, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, TIMP_RBIT_4, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_4, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, TIMP_RBIT_4, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, TIMP_RBIT_4, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, TIMP_RBIT_4);
    SetCtrlAttribute (hPanel, TIMP_RBIT_4, ATTR_ON_COLOR, VAL_CYAN);
    SetCtrlAttribute (hPanel, TIMP_RBIT_4, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, TIMP_RBIT_4, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, TIMP_RBIT_4, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, TIMP_RBIT_4, ATTR_LABEL_TOP, 142);
    SetCtrlAttribute (hPanel, TIMP_RBIT_4, ATTR_LABEL_LEFT, 296);
    SetCtrlAttribute (hPanel, TIMP_RBIT_4, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: TIMP_BUTT_4
    TIMP_BUTT_4 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 141, 349);
    SetCtrlAttribute (hPanel, TIMP_BUTT_4, ATTR_CONSTANT_NAME, "BUTT_4");
//  SetCtrlAttribute (hPanel, TIMP_BUTT_4, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, TIMP_BUTT_4, ATTR_CALLBACK_FUNCTION_POINTER, tim);
    SetCtrlAttribute (hPanel, TIMP_BUTT_4, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_4, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_4, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_4, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_BUTT_4, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_4, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_4, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_4, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_4, ATTR_LABEL_POINT_SIZE, 7);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_4, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_4, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_4, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, TIMP_BUTT_4, ATTR_LABEL_WIDTH, 6);
    SetCtrlAttribute (hPanel, TIMP_BUTT_4, ATTR_LABEL_HEIGHT, 9);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_4, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_4, ATTR_LABEL_BGCOLOR, 0XB7CABB);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_4, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_BUTT_4, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_4, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_4, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_4, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_4, ATTR_TEXT_POINT_SIZE, 7);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_4, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_4, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, TIMP_BUTT_4);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_4, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, TIMP_BUTT_4, ATTR_ON_COLOR, 0X00B0DD);
    SetCtrlAttribute (hPanel, TIMP_BUTT_4, ATTR_OFF_COLOR, 0XDDBC9B);
    SetCtrlAttribute (hPanel, TIMP_BUTT_4, ATTR_ON_TEXT, "ON");
    SetCtrlAttribute (hPanel, TIMP_BUTT_4, ATTR_OFF_TEXT, "OFF");
    SetCtrlAttribute (hPanel, TIMP_BUTT_4, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, TIMP_BUTT_4, ATTR_WIDTH, 24);
    SetCtrlAttribute (hPanel, TIMP_BUTT_4, ATTR_LABEL_TOP, 120);
    SetCtrlAttribute (hPanel, TIMP_BUTT_4, ATTR_LABEL_LEFT, 364);
    SetCtrlAttribute (hPanel, TIMP_BUTT_4, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: TIMP_RBIT_3
    TIMP_RBIT_3 = NewCtrl (hPanel, CTRL_SQUARE_LED, "", 124, 329);
    SetCtrlAttribute (hPanel, TIMP_RBIT_3, ATTR_CONSTANT_NAME, "RBIT_3");
//  SetCtrlAttribute (hPanel, TIMP_RBIT_3, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_3, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, TIMP_RBIT_3, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TIMP_RBIT_3, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_3, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_RBIT_3, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_3, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_3, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_3, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TIMP_RBIT_3, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_3, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_3, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, TIMP_RBIT_3, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, TIMP_RBIT_3, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, TIMP_RBIT_3, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_3, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, TIMP_RBIT_3, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, TIMP_RBIT_3, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, TIMP_RBIT_3);
    SetCtrlAttribute (hPanel, TIMP_RBIT_3, ATTR_ON_COLOR, VAL_CYAN);
    SetCtrlAttribute (hPanel, TIMP_RBIT_3, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, TIMP_RBIT_3, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, TIMP_RBIT_3, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, TIMP_RBIT_3, ATTR_LABEL_TOP, 125);
    SetCtrlAttribute (hPanel, TIMP_RBIT_3, ATTR_LABEL_LEFT, 296);
    SetCtrlAttribute (hPanel, TIMP_RBIT_3, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: TIMP_BUTT_3
    TIMP_BUTT_3 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 124, 349);
    SetCtrlAttribute (hPanel, TIMP_BUTT_3, ATTR_CONSTANT_NAME, "BUTT_3");
//  SetCtrlAttribute (hPanel, TIMP_BUTT_3, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, TIMP_BUTT_3, ATTR_CALLBACK_FUNCTION_POINTER, tim);
    SetCtrlAttribute (hPanel, TIMP_BUTT_3, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_3, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_3, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_3, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_BUTT_3, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_3, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_3, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_3, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_3, ATTR_LABEL_POINT_SIZE, 7);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_3, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_3, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_3, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, TIMP_BUTT_3, ATTR_LABEL_WIDTH, 6);
    SetCtrlAttribute (hPanel, TIMP_BUTT_3, ATTR_LABEL_HEIGHT, 9);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_3, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_3, ATTR_LABEL_BGCOLOR, 0XB7CABB);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_3, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_BUTT_3, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_3, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_3, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_3, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_3, ATTR_TEXT_POINT_SIZE, 7);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_3, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_3, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, TIMP_BUTT_3);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_3, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, TIMP_BUTT_3, ATTR_ON_COLOR, 0X00B0DD);
    SetCtrlAttribute (hPanel, TIMP_BUTT_3, ATTR_OFF_COLOR, 0XDDBC9B);
    SetCtrlAttribute (hPanel, TIMP_BUTT_3, ATTR_ON_TEXT, "ON");
    SetCtrlAttribute (hPanel, TIMP_BUTT_3, ATTR_OFF_TEXT, "OFF");
    SetCtrlAttribute (hPanel, TIMP_BUTT_3, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, TIMP_BUTT_3, ATTR_WIDTH, 24);
    SetCtrlAttribute (hPanel, TIMP_BUTT_3, ATTR_LABEL_TOP, 103);
    SetCtrlAttribute (hPanel, TIMP_BUTT_3, ATTR_LABEL_LEFT, 364);
    SetCtrlAttribute (hPanel, TIMP_BUTT_3, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: TIMP_RBIT_2
    TIMP_RBIT_2 = NewCtrl (hPanel, CTRL_SQUARE_LED, "", 107, 329);
    SetCtrlAttribute (hPanel, TIMP_RBIT_2, ATTR_CONSTANT_NAME, "RBIT_2");
//  SetCtrlAttribute (hPanel, TIMP_RBIT_2, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_2, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, TIMP_RBIT_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TIMP_RBIT_2, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_2, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_RBIT_2, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_2, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_2, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_2, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TIMP_RBIT_2, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_2, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_2, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, TIMP_RBIT_2, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, TIMP_RBIT_2, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, TIMP_RBIT_2, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_2, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, TIMP_RBIT_2, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, TIMP_RBIT_2, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, TIMP_RBIT_2);
    SetCtrlAttribute (hPanel, TIMP_RBIT_2, ATTR_ON_COLOR, VAL_CYAN);
    SetCtrlAttribute (hPanel, TIMP_RBIT_2, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, TIMP_RBIT_2, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, TIMP_RBIT_2, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, TIMP_RBIT_2, ATTR_LABEL_TOP, 108);
    SetCtrlAttribute (hPanel, TIMP_RBIT_2, ATTR_LABEL_LEFT, 296);
    SetCtrlAttribute (hPanel, TIMP_RBIT_2, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: TIMP_BUTT_2
    TIMP_BUTT_2 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 107, 349);
    SetCtrlAttribute (hPanel, TIMP_BUTT_2, ATTR_CONSTANT_NAME, "BUTT_2");
//  SetCtrlAttribute (hPanel, TIMP_BUTT_2, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, TIMP_BUTT_2, ATTR_CALLBACK_FUNCTION_POINTER, tim);
    SetCtrlAttribute (hPanel, TIMP_BUTT_2, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_2, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_2, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_2, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_BUTT_2, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_2, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_2, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_2, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_2, ATTR_LABEL_POINT_SIZE, 7);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_2, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_2, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_2, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, TIMP_BUTT_2, ATTR_LABEL_WIDTH, 6);
    SetCtrlAttribute (hPanel, TIMP_BUTT_2, ATTR_LABEL_HEIGHT, 9);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_2, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_2, ATTR_LABEL_BGCOLOR, 0XB7CABB);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_2, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_BUTT_2, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_2, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_2, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_2, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_2, ATTR_TEXT_POINT_SIZE, 7);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_2, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_2, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, TIMP_BUTT_2);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_2, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, TIMP_BUTT_2, ATTR_ON_COLOR, 0X00B0DD);
    SetCtrlAttribute (hPanel, TIMP_BUTT_2, ATTR_OFF_COLOR, 0XDDBC9B);
    SetCtrlAttribute (hPanel, TIMP_BUTT_2, ATTR_ON_TEXT, "ON");
    SetCtrlAttribute (hPanel, TIMP_BUTT_2, ATTR_OFF_TEXT, "OFF");
    SetCtrlAttribute (hPanel, TIMP_BUTT_2, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, TIMP_BUTT_2, ATTR_WIDTH, 24);
    SetCtrlAttribute (hPanel, TIMP_BUTT_2, ATTR_LABEL_TOP, 86);
    SetCtrlAttribute (hPanel, TIMP_BUTT_2, ATTR_LABEL_LEFT, 364);
    SetCtrlAttribute (hPanel, TIMP_BUTT_2, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: TIMP_RBIT_1
    TIMP_RBIT_1 = NewCtrl (hPanel, CTRL_SQUARE_LED, "", 90, 329);
    SetCtrlAttribute (hPanel, TIMP_RBIT_1, ATTR_CONSTANT_NAME, "RBIT_1");
//  SetCtrlAttribute (hPanel, TIMP_RBIT_1, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_1, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, TIMP_RBIT_1, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TIMP_RBIT_1, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_RBIT_1, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_1, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TIMP_RBIT_1, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_1, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_1, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, TIMP_RBIT_1, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, TIMP_RBIT_1, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, TIMP_RBIT_1, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, TIMP_RBIT_1, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, TIMP_RBIT_1, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, TIMP_RBIT_1);
    SetCtrlAttribute (hPanel, TIMP_RBIT_1, ATTR_ON_COLOR, VAL_CYAN);
    SetCtrlAttribute (hPanel, TIMP_RBIT_1, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, TIMP_RBIT_1, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, TIMP_RBIT_1, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, TIMP_RBIT_1, ATTR_LABEL_TOP, 91);
    SetCtrlAttribute (hPanel, TIMP_RBIT_1, ATTR_LABEL_LEFT, 296);
    SetCtrlAttribute (hPanel, TIMP_RBIT_1, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: TIMP_BUTT_1
    TIMP_BUTT_1 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 90, 349);
    SetCtrlAttribute (hPanel, TIMP_BUTT_1, ATTR_CONSTANT_NAME, "BUTT_1");
//  SetCtrlAttribute (hPanel, TIMP_BUTT_1, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, TIMP_BUTT_1, ATTR_CALLBACK_FUNCTION_POINTER, tim);
    SetCtrlAttribute (hPanel, TIMP_BUTT_1, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_1, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_1, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_1, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_BUTT_1, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_1, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_1, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_1, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_1, ATTR_LABEL_POINT_SIZE, 7);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_1, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_1, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_1, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, TIMP_BUTT_1, ATTR_LABEL_WIDTH, 6);
    SetCtrlAttribute (hPanel, TIMP_BUTT_1, ATTR_LABEL_HEIGHT, 9);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_1, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_1, ATTR_LABEL_BGCOLOR, 0XB7CABB);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_1, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_BUTT_1, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_1, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_1, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_1, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_1, ATTR_TEXT_POINT_SIZE, 7);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_1, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_1, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, TIMP_BUTT_1);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_1, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, TIMP_BUTT_1, ATTR_ON_COLOR, 0X00B0DD);
    SetCtrlAttribute (hPanel, TIMP_BUTT_1, ATTR_OFF_COLOR, 0XDDBC9B);
    SetCtrlAttribute (hPanel, TIMP_BUTT_1, ATTR_ON_TEXT, "ON");
    SetCtrlAttribute (hPanel, TIMP_BUTT_1, ATTR_OFF_TEXT, "OFF");
    SetCtrlAttribute (hPanel, TIMP_BUTT_1, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, TIMP_BUTT_1, ATTR_WIDTH, 24);
    SetCtrlAttribute (hPanel, TIMP_BUTT_1, ATTR_LABEL_TOP, 69);
    SetCtrlAttribute (hPanel, TIMP_BUTT_1, ATTR_LABEL_LEFT, 364);
    SetCtrlAttribute (hPanel, TIMP_BUTT_1, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: TIMP_RBIT_0
    TIMP_RBIT_0 = NewCtrl (hPanel, CTRL_SQUARE_LED, "", 73, 329);
    SetCtrlAttribute (hPanel, TIMP_RBIT_0, ATTR_CONSTANT_NAME, "RBIT_0");
//  SetCtrlAttribute (hPanel, TIMP_RBIT_0, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_0, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, TIMP_RBIT_0, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TIMP_RBIT_0, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_0, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_RBIT_0, ATTR_LABEL_FONT, VAL_DIALOG_FONT);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_0, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TIMP_RBIT_0, ATTR_LABEL_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_0, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_0, ATTR_LABEL_VISIBLE, 1);
    SetCtrlAttribute (hPanel, TIMP_RBIT_0, ATTR_LABEL_JUSTIFY, VAL_CENTER_JUSTIFIED);
    SetCtrlAttribute (hPanel, TIMP_RBIT_0, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, TIMP_RBIT_0, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, TIMP_RBIT_0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, TIMP_RBIT_0, ATTR_LABEL_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, TIMP_RBIT_0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, TIMP_RBIT_0);
    SetCtrlAttribute (hPanel, TIMP_RBIT_0, ATTR_ON_COLOR, VAL_CYAN);
    SetCtrlAttribute (hPanel, TIMP_RBIT_0, ATTR_OFF_COLOR, VAL_LT_GRAY);
    SetCtrlAttribute (hPanel, TIMP_RBIT_0, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, TIMP_RBIT_0, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, TIMP_RBIT_0, ATTR_LABEL_TOP, 74);
    SetCtrlAttribute (hPanel, TIMP_RBIT_0, ATTR_LABEL_LEFT, 296);
    SetCtrlAttribute (hPanel, TIMP_RBIT_0, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: TIMP_BUTT_0
    TIMP_BUTT_0 = NewCtrl (hPanel, CTRL_SQUARE_TEXT_BUTTON, "", 73, 349);
    SetCtrlAttribute (hPanel, TIMP_BUTT_0, ATTR_CONSTANT_NAME, "BUTT_0");
//  SetCtrlAttribute (hPanel, TIMP_BUTT_0, ATTR_VISIBLE, 1);
    SetCtrlAttribute (hPanel, TIMP_BUTT_0, ATTR_CALLBACK_FUNCTION_POINTER, tim);
    SetCtrlAttribute (hPanel, TIMP_BUTT_0, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_0, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_0, ATTR_CTRL_MODE, VAL_NORMAL);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_0, ATTR_LABEL_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_BUTT_0, ATTR_LABEL_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_0, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_0, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_0, ATTR_LABEL_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_0, ATTR_LABEL_POINT_SIZE, 7);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_0, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_0, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_0, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, TIMP_BUTT_0, ATTR_LABEL_WIDTH, 6);
    SetCtrlAttribute (hPanel, TIMP_BUTT_0, ATTR_LABEL_HEIGHT, 9);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_0, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_0, ATTR_LABEL_BGCOLOR, 0XB7CABB);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_0, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_BUTT_0, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_0, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_0, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_0, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_0, ATTR_TEXT_POINT_SIZE, 7);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_0, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_0, ATTR_DFLT_VALUE, 0);
    DefaultCtrl (hPanel, TIMP_BUTT_0);
//  SetCtrlAttribute (hPanel, TIMP_BUTT_0, ATTR_AUTO_SIZING, VAL_GROW_ONLY);
    SetCtrlAttribute (hPanel, TIMP_BUTT_0, ATTR_ON_COLOR, 0X00B0DD);
    SetCtrlAttribute (hPanel, TIMP_BUTT_0, ATTR_OFF_COLOR, 0XDDBC9B);
    SetCtrlAttribute (hPanel, TIMP_BUTT_0, ATTR_ON_TEXT, "ON");
    SetCtrlAttribute (hPanel, TIMP_BUTT_0, ATTR_OFF_TEXT, "OFF");
    SetCtrlAttribute (hPanel, TIMP_BUTT_0, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, TIMP_BUTT_0, ATTR_WIDTH, 24);
    SetCtrlAttribute (hPanel, TIMP_BUTT_0, ATTR_LABEL_TOP, 52);
    SetCtrlAttribute (hPanel, TIMP_BUTT_0, ATTR_LABEL_LEFT, 364);
    SetCtrlAttribute (hPanel, TIMP_BUTT_0, ATTR_LABEL_SIZE_TO_TEXT, 1);

    // Build control: TIMP_TEXTBOX
    TIMP_TEXTBOX = NewCtrl (hPanel, CTRL_TEXT_BOX, "", 70, 14);
    SetCtrlAttribute (hPanel, TIMP_TEXTBOX, ATTR_CONSTANT_NAME, "TEXTBOX");
//  SetCtrlAttribute (hPanel, TIMP_TEXTBOX, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TIMP_TEXTBOX, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTBOX, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TIMP_TEXTBOX, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTBOX, ATTR_FRAME_COLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, TIMP_TEXTBOX, ATTR_SCROLL_BARS, VAL_HORIZ_SCROLL_BAR);
    SetCtrlAttribute (hPanel, TIMP_TEXTBOX, ATTR_SCROLL_BAR_COLOR, VAL_LT_GRAY);
//  SetCtrlAttribute (hPanel, TIMP_TEXTBOX, ATTR_SCROLL_BAR_SIZE, VAL_LARGE_SCROLL_BARS);
    SetCtrlAttribute (hPanel, TIMP_TEXTBOX, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, TIMP_TEXTBOX, ATTR_LABEL_COLOR, VAL_BLACK);
//  SetCtrlAttribute (hPanel, TIMP_TEXTBOX, ATTR_LABEL_FONT, VAL_DIALOG_META_FONT);
//  SetCtrlAttribute (hPanel, TIMP_TEXTBOX, ATTR_LABEL_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_TEXTBOX, ATTR_LABEL_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_TEXTBOX, ATTR_LABEL_STRIKEOUT, 0);
//  SetCtrlAttribute (hPanel, TIMP_TEXTBOX, ATTR_LABEL_POINT_SIZE, 11);
//  SetCtrlAttribute (hPanel, TIMP_TEXTBOX, ATTR_LABEL_BOLD, 0);
//  SetCtrlAttribute (hPanel, TIMP_TEXTBOX, ATTR_LABEL_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TIMP_TEXTBOX, ATTR_LABEL_JUSTIFY, VAL_LEFT_JUSTIFIED);
    SetCtrlAttribute (hPanel, TIMP_TEXTBOX, ATTR_LABEL_WIDTH, 9);
    SetCtrlAttribute (hPanel, TIMP_TEXTBOX, ATTR_LABEL_HEIGHT, 15);
//  SetCtrlAttribute (hPanel, TIMP_TEXTBOX, ATTR_LABEL_RAISED, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTBOX, ATTR_LABEL_BGCOLOR, 0XB7CABB);
//  SetCtrlAttribute (hPanel, TIMP_TEXTBOX, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_TEXTBOX, ATTR_TEXT_FONT, "Courier New");
//  SetCtrlAttribute (hPanel, TIMP_TEXTBOX, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_TEXTBOX, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_TEXTBOX, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTBOX, ATTR_TEXT_POINT_SIZE, 15);
//  SetCtrlAttribute (hPanel, TIMP_TEXTBOX, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTBOX, ATTR_TEXT_BGCOLOR, 0XC7D0D3);
    SetCtrlAttribute (hPanel, TIMP_TEXTBOX, ATTR_DFLT_VALUE, "");
    DefaultCtrl (hPanel, TIMP_TEXTBOX);
//  SetCtrlAttribute (hPanel, TIMP_TEXTBOX, ATTR_MAX_ENTRY_LENGTH, -1);
//  SetCtrlAttribute (hPanel, TIMP_TEXTBOX, ATTR_WRAP_MODE, VAL_LINE_WRAP);
//  SetCtrlAttribute (hPanel, TIMP_TEXTBOX, ATTR_ENTER_IS_NEWLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_TEXTBOX, ATTR_FIRST_VISIBLE_LINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_TEXTBOX, ATTR_EXTRA_LINES, -1);
//  SetCtrlAttribute (hPanel, TIMP_TEXTBOX, ATTR_NO_EDIT_TEXT, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTBOX, ATTR_HEIGHT, 294);
    SetCtrlAttribute (hPanel, TIMP_TEXTBOX, ATTR_WIDTH, 308);
    SetCtrlAttribute (hPanel, TIMP_TEXTBOX, ATTR_LABEL_TOP, 49);
    SetCtrlAttribute (hPanel, TIMP_TEXTBOX, ATTR_LABEL_LEFT, 19);
    SetCtrlAttribute (hPanel, TIMP_TEXTBOX, ATTR_LABEL_SIZE_TO_TEXT, 1);
    SetCtrlAttribute (hPanel, TIMP_TEXTBOX, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  SetCtrlAttribute (hPanel, TIMP_TEXTBOX, ATTR_HSCROLL_OFFSET, 0);
//  DSBindCtrl (hPanel, TIMP_TEXTBOX, "", VAL_DS_READ, NULL, NULL);

    // Build control: TIMP_TEXTMSG_71
    TIMP_TEXTMSG_71 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 74, 334);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_71, ATTR_CONSTANT_NAME, "TEXTMSG_71");
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_71, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_71, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_71, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_71, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_71, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_71, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_71, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_71, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_71, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_71, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_71, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_71, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_71, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_71, ATTR_DFLT_VALUE, "0");
    DefaultCtrl (hPanel, TIMP_TEXTMSG_71);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_71, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_71, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_71, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_71, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_71, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, TIMP_TEXTMSG_71, "", VAL_DS_READ, NULL, NULL);

    // Build control: TIMP_TEXTMSG_86
    TIMP_TEXTMSG_86 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 91, 334);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_86, ATTR_CONSTANT_NAME, "TEXTMSG_86");
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_86, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_86, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_86, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_86, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_86, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_86, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_86, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_86, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_86, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_86, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_86, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_86, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_86, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_86, ATTR_DFLT_VALUE, "1");
    DefaultCtrl (hPanel, TIMP_TEXTMSG_86);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_86, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_86, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_86, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_86, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_86, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, TIMP_TEXTMSG_86, "", VAL_DS_READ, NULL, NULL);

    // Build control: TIMP_TEXTMSG_72
    TIMP_TEXTMSG_72 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 108, 334);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_72, ATTR_CONSTANT_NAME, "TEXTMSG_72");
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_72, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_72, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_72, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_72, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_72, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_72, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_72, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_72, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_72, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_72, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_72, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_72, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_72, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_72, ATTR_DFLT_VALUE, "2");
    DefaultCtrl (hPanel, TIMP_TEXTMSG_72);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_72, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_72, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_72, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_72, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_72, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, TIMP_TEXTMSG_72, "", VAL_DS_READ, NULL, NULL);

    // Build control: TIMP_TEXTMSG_73
    TIMP_TEXTMSG_73 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 125, 334);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_73, ATTR_CONSTANT_NAME, "TEXTMSG_73");
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_73, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_73, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_73, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_73, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_73, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_73, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_73, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_73, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_73, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_73, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_73, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_73, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_73, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_73, ATTR_DFLT_VALUE, "3");
    DefaultCtrl (hPanel, TIMP_TEXTMSG_73);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_73, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_73, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_73, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_73, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_73, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, TIMP_TEXTMSG_73, "", VAL_DS_READ, NULL, NULL);

    // Build control: TIMP_TEXTMSG_74
    TIMP_TEXTMSG_74 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 142, 334);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_74, ATTR_CONSTANT_NAME, "TEXTMSG_74");
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_74, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_74, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_74, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_74, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_74, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_74, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_74, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_74, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_74, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_74, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_74, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_74, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_74, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_74, ATTR_DFLT_VALUE, "4");
    DefaultCtrl (hPanel, TIMP_TEXTMSG_74);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_74, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_74, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_74, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_74, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_74, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, TIMP_TEXTMSG_74, "", VAL_DS_READ, NULL, NULL);

    // Build control: TIMP_TEXTMSG_75
    TIMP_TEXTMSG_75 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 159, 334);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_75, ATTR_CONSTANT_NAME, "TEXTMSG_75");
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_75, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_75, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_75, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_75, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_75, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_75, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_75, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_75, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_75, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_75, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_75, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_75, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_75, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_75, ATTR_DFLT_VALUE, "5");
    DefaultCtrl (hPanel, TIMP_TEXTMSG_75);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_75, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_75, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_75, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_75, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_75, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, TIMP_TEXTMSG_75, "", VAL_DS_READ, NULL, NULL);

    // Build control: TIMP_TEXTMSG_80
    TIMP_TEXTMSG_80 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 176, 334);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_80, ATTR_CONSTANT_NAME, "TEXTMSG_80");
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_80, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_80, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_80, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_80, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_80, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_80, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_80, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_80, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_80, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_80, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_80, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_80, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_80, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_80, ATTR_DFLT_VALUE, "6");
    DefaultCtrl (hPanel, TIMP_TEXTMSG_80);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_80, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_80, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_80, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_80, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_80, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, TIMP_TEXTMSG_80, "", VAL_DS_READ, NULL, NULL);

    // Build control: TIMP_TEXTMSG_79
    TIMP_TEXTMSG_79 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 193, 334);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_79, ATTR_CONSTANT_NAME, "TEXTMSG_79");
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_79, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_79, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_79, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_79, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_79, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_79, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_79, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_79, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_79, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_79, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_79, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_79, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_79, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_79, ATTR_DFLT_VALUE, "7");
    DefaultCtrl (hPanel, TIMP_TEXTMSG_79);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_79, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_79, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_79, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_79, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_79, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, TIMP_TEXTMSG_79, "", VAL_DS_READ, NULL, NULL);

    // Build control: TIMP_TEXTMSG_78
    TIMP_TEXTMSG_78 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 210, 334);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_78, ATTR_CONSTANT_NAME, "TEXTMSG_78");
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_78, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_78, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_78, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_78, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_78, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_78, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_78, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_78, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_78, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_78, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_78, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_78, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_78, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_78, ATTR_DFLT_VALUE, "8");
    DefaultCtrl (hPanel, TIMP_TEXTMSG_78);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_78, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_78, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_78, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_78, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_78, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, TIMP_TEXTMSG_78, "", VAL_DS_READ, NULL, NULL);

    // Build control: TIMP_TEXTMSG_77
    TIMP_TEXTMSG_77 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 227, 334);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_77, ATTR_CONSTANT_NAME, "TEXTMSG_77");
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_77, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_77, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_77, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_77, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_77, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_77, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_77, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_77, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_77, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_77, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_77, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_77, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_77, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_77, ATTR_DFLT_VALUE, "9");
    DefaultCtrl (hPanel, TIMP_TEXTMSG_77);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_77, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_77, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_77, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_77, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_77, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, TIMP_TEXTMSG_77, "", VAL_DS_READ, NULL, NULL);

    // Build control: TIMP_TEXTMSG_76
    TIMP_TEXTMSG_76 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 245, 331);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_76, ATTR_CONSTANT_NAME, "TEXTMSG_76");
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_76, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_76, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_76, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_76, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_76, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_76, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_76, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_76, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_76, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_76, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_76, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_76, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_76, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_76, ATTR_DFLT_VALUE, "10");
    DefaultCtrl (hPanel, TIMP_TEXTMSG_76);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_76, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_76, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_76, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_76, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_76, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, TIMP_TEXTMSG_76, "", VAL_DS_READ, NULL, NULL);

    // Build control: TIMP_TEXTMSG_85
    TIMP_TEXTMSG_85 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 262, 331);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_85, ATTR_CONSTANT_NAME, "TEXTMSG_85");
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_85, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_85, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_85, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_85, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_85, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_85, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_85, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_85, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_85, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_85, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_85, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_85, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_85, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_85, ATTR_DFLT_VALUE, "11");
    DefaultCtrl (hPanel, TIMP_TEXTMSG_85);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_85, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_85, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_85, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_85, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_85, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, TIMP_TEXTMSG_85, "", VAL_DS_READ, NULL, NULL);

    // Build control: TIMP_TEXTMSG_84
    TIMP_TEXTMSG_84 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 279, 331);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_84, ATTR_CONSTANT_NAME, "TEXTMSG_84");
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_84, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_84, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_84, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_84, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_84, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_84, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_84, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_84, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_84, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_84, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_84, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_84, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_84, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_84, ATTR_DFLT_VALUE, "12");
    DefaultCtrl (hPanel, TIMP_TEXTMSG_84);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_84, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_84, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_84, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_84, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_84, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, TIMP_TEXTMSG_84, "", VAL_DS_READ, NULL, NULL);

    // Build control: TIMP_TEXTMSG_83
    TIMP_TEXTMSG_83 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 296, 331);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_83, ATTR_CONSTANT_NAME, "TEXTMSG_83");
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_83, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_83, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_83, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_83, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_83, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_83, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_83, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_83, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_83, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_83, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_83, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_83, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_83, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_83, ATTR_DFLT_VALUE, "13");
    DefaultCtrl (hPanel, TIMP_TEXTMSG_83);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_83, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_83, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_83, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_83, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_83, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, TIMP_TEXTMSG_83, "", VAL_DS_READ, NULL, NULL);

    // Build control: TIMP_TEXTMSG_82
    TIMP_TEXTMSG_82 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 313, 331);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_82, ATTR_CONSTANT_NAME, "TEXTMSG_82");
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_82, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_82, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_82, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_82, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_82, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_82, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_82, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_82, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_82, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_82, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_82, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_82, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_82, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_82, ATTR_DFLT_VALUE, "14");
    DefaultCtrl (hPanel, TIMP_TEXTMSG_82);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_82, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_82, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_82, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_82, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_82, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, TIMP_TEXTMSG_82, "", VAL_DS_READ, NULL, NULL);

    // Build control: TIMP_TEXTMSG_81
    TIMP_TEXTMSG_81 = NewCtrl (hPanel, CTRL_TEXT_MSG, "", 330, 331);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_81, ATTR_CONSTANT_NAME, "TEXTMSG_81");
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_81, ATTR_VISIBLE, 1);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_81, ATTR_CALLBACK_FUNCTION_POINTER, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_81, ATTR_SHORTCUT_KEY, 0);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_81, ATTR_DIMMED, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_81, ATTR_CTRL_MODE, VAL_INDICATOR);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_81, ATTR_TEXT_COLOR, VAL_BLACK);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_81, ATTR_TEXT_FONT, VAL_APP_FONT);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_81, ATTR_TEXT_ITALIC, 0);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_81, ATTR_TEXT_UNDERLINE, 0);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_81, ATTR_TEXT_STRIKEOUT, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_81, ATTR_TEXT_POINT_SIZE, 9);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_81, ATTR_TEXT_BOLD, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_81, ATTR_TEXT_BGCOLOR, VAL_TRANSPARENT);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_81, ATTR_DFLT_VALUE, "15");
    DefaultCtrl (hPanel, TIMP_TEXTMSG_81);
//  SetCtrlAttribute (hPanel, TIMP_TEXTMSG_81, ATTR_TEXT_RAISED, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_81, ATTR_HEIGHT, 17);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_81, ATTR_WIDTH, 17);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_81, ATTR_SIZE_TO_TEXT, 0);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_81, ATTR_TEXT_JUSTIFY, VAL_LEFT_JUSTIFIED);
//  DSBindCtrl (hPanel, TIMP_TEXTMSG_81, "", VAL_DS_READ, NULL, NULL);

    // Set up ZPLANE order if necessary
    SetCtrlAttribute (hPanel, TIMP_TEXTBOX, ATTR_ZPLANE_POSITION, 0);
    SetCtrlAttribute (hPanel, TIMP_BUTT_1, ATTR_ZPLANE_POSITION, 1);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_86, ATTR_ZPLANE_POSITION, 2);
    SetCtrlAttribute (hPanel, TIMP_RBIT_1, ATTR_ZPLANE_POSITION, 3);
    SetCtrlAttribute (hPanel, TIMP_BUTT_11, ATTR_ZPLANE_POSITION, 4);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_85, ATTR_ZPLANE_POSITION, 5);
    SetCtrlAttribute (hPanel, TIMP_RBIT_11, ATTR_ZPLANE_POSITION, 6);
    SetCtrlAttribute (hPanel, TIMP_BUTT_12, ATTR_ZPLANE_POSITION, 7);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_84, ATTR_ZPLANE_POSITION, 8);
    SetCtrlAttribute (hPanel, TIMP_RBIT_12, ATTR_ZPLANE_POSITION, 9);
    SetCtrlAttribute (hPanel, TIMP_BUTT_13, ATTR_ZPLANE_POSITION, 10);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_83, ATTR_ZPLANE_POSITION, 11);
    SetCtrlAttribute (hPanel, TIMP_RBIT_13, ATTR_ZPLANE_POSITION, 12);
    SetCtrlAttribute (hPanel, TIMP_BUTT_14, ATTR_ZPLANE_POSITION, 13);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_82, ATTR_ZPLANE_POSITION, 14);
    SetCtrlAttribute (hPanel, TIMP_RBIT_14, ATTR_ZPLANE_POSITION, 15);
    SetCtrlAttribute (hPanel, TIMP_BUTT_15, ATTR_ZPLANE_POSITION, 16);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_81, ATTR_ZPLANE_POSITION, 17);
    SetCtrlAttribute (hPanel, TIMP_RBIT_15, ATTR_ZPLANE_POSITION, 18);
    SetCtrlAttribute (hPanel, TIMP_BUTT_6, ATTR_ZPLANE_POSITION, 19);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_80, ATTR_ZPLANE_POSITION, 20);
    SetCtrlAttribute (hPanel, TIMP_RBIT_6, ATTR_ZPLANE_POSITION, 21);
    SetCtrlAttribute (hPanel, TIMP_BUTT_7, ATTR_ZPLANE_POSITION, 22);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_79, ATTR_ZPLANE_POSITION, 23);
    SetCtrlAttribute (hPanel, TIMP_RBIT_7, ATTR_ZPLANE_POSITION, 24);
    SetCtrlAttribute (hPanel, TIMP_BUTT_8, ATTR_ZPLANE_POSITION, 25);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_78, ATTR_ZPLANE_POSITION, 26);
    SetCtrlAttribute (hPanel, TIMP_RBIT_8, ATTR_ZPLANE_POSITION, 27);
    SetCtrlAttribute (hPanel, TIMP_BUTT_9, ATTR_ZPLANE_POSITION, 28);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_77, ATTR_ZPLANE_POSITION, 29);
    SetCtrlAttribute (hPanel, TIMP_RBIT_9, ATTR_ZPLANE_POSITION, 30);
    SetCtrlAttribute (hPanel, TIMP_BUTT_10, ATTR_ZPLANE_POSITION, 31);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_76, ATTR_ZPLANE_POSITION, 32);
    SetCtrlAttribute (hPanel, TIMP_RBIT_10, ATTR_ZPLANE_POSITION, 33);
    SetCtrlAttribute (hPanel, TIMP_BUTT_5, ATTR_ZPLANE_POSITION, 34);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_75, ATTR_ZPLANE_POSITION, 35);
    SetCtrlAttribute (hPanel, TIMP_RBIT_5, ATTR_ZPLANE_POSITION, 36);
    SetCtrlAttribute (hPanel, TIMP_BUTT_4, ATTR_ZPLANE_POSITION, 37);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_74, ATTR_ZPLANE_POSITION, 38);
    SetCtrlAttribute (hPanel, TIMP_RBIT_4, ATTR_ZPLANE_POSITION, 39);
    SetCtrlAttribute (hPanel, TIMP_BUTT_3, ATTR_ZPLANE_POSITION, 40);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_73, ATTR_ZPLANE_POSITION, 41);
    SetCtrlAttribute (hPanel, TIMP_RBIT_3, ATTR_ZPLANE_POSITION, 42);
    SetCtrlAttribute (hPanel, TIMP_BUTT_2, ATTR_ZPLANE_POSITION, 43);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_72, ATTR_ZPLANE_POSITION, 44);
    SetCtrlAttribute (hPanel, TIMP_RBIT_2, ATTR_ZPLANE_POSITION, 45);
    SetCtrlAttribute (hPanel, TIMP_BUTT_0, ATTR_ZPLANE_POSITION, 46);
    SetCtrlAttribute (hPanel, TIMP_TEXTMSG_71, ATTR_ZPLANE_POSITION, 47);
    SetCtrlAttribute (hPanel, TIMP_RBIT_0, ATTR_ZPLANE_POSITION, 48);
    SetCtrlAttribute (hPanel, TIMP_TIM_REGS, ATTR_ZPLANE_POSITION, 49);
    SetCtrlAttribute (hPanel, TIMP_WRITE_WORD, ATTR_ZPLANE_POSITION, 50);
    SetCtrlAttribute (hPanel, TIMP_READ_WORD, ATTR_ZPLANE_POSITION, 51);
    SetCtrlAttribute (hPanel, TIMP_READ_DATA_WORD, ATTR_ZPLANE_POSITION, 52);
    SetCtrlAttribute (hPanel, TIMP_WRITE_DATA_WORD, ATTR_ZPLANE_POSITION, 53);
    SetCtrlAttribute (hPanel, TIMP_WORD_ADDRESS, ATTR_ZPLANE_POSITION, 54);

    // Set up TAB order if necessary
    SetCtrlAttribute (hPanel, TIMP_WRITE_WORD, ATTR_CTRL_TAB_POSITION, 0);
    SetCtrlAttribute (hPanel, TIMP_READ_DATA_WORD, ATTR_CTRL_TAB_POSITION, 1);
    SetCtrlAttribute (hPanel, TIMP_READ_WORD, ATTR_CTRL_TAB_POSITION, 2);
    SetCtrlAttribute (hPanel, TIMP_WRITE_DATA_WORD, ATTR_CTRL_TAB_POSITION, 3);
    SetCtrlAttribute (hPanel, TIMP_WORD_ADDRESS, ATTR_CTRL_TAB_POSITION, 4);
    SetCtrlAttribute (hPanel, TIMP_TIM_REGS, ATTR_CTRL_TAB_POSITION, 5);
    SetCtrlAttribute (hPanel, TIMP_RBIT_11, ATTR_CTRL_TAB_POSITION, 6);
    SetCtrlAttribute (hPanel, TIMP_BUTT_11, ATTR_CTRL_TAB_POSITION, 7);
    SetCtrlAttribute (hPanel, TIMP_RBIT_12, ATTR_CTRL_TAB_POSITION, 8);
    SetCtrlAttribute (hPanel, TIMP_BUTT_12, ATTR_CTRL_TAB_POSITION, 9);
    SetCtrlAttribute (hPanel, TIMP_RBIT_13, ATTR_CTRL_TAB_POSITION, 10);
    SetCtrlAttribute (hPanel, TIMP_BUTT_13, ATTR_CTRL_TAB_POSITION, 11);
    SetCtrlAttribute (hPanel, TIMP_RBIT_14, ATTR_CTRL_TAB_POSITION, 12);
    SetCtrlAttribute (hPanel, TIMP_BUTT_14, ATTR_CTRL_TAB_POSITION, 13);
    SetCtrlAttribute (hPanel, TIMP_RBIT_15, ATTR_CTRL_TAB_POSITION, 14);
    SetCtrlAttribute (hPanel, TIMP_BUTT_15, ATTR_CTRL_TAB_POSITION, 15);
    SetCtrlAttribute (hPanel, TIMP_RBIT_6, ATTR_CTRL_TAB_POSITION, 16);
    SetCtrlAttribute (hPanel, TIMP_BUTT_6, ATTR_CTRL_TAB_POSITION, 17);
    SetCtrlAttribute (hPanel, TIMP_RBIT_7, ATTR_CTRL_TAB_POSITION, 18);
    SetCtrlAttribute (hPanel, TIMP_BUTT_7, ATTR_CTRL_TAB_POSITION, 19);
    SetCtrlAttribute (hPanel, TIMP_RBIT_8, ATTR_CTRL_TAB_POSITION, 20);
    SetCtrlAttribute (hPanel, TIMP_BUTT_8, ATTR_CTRL_TAB_POSITION, 21);
    SetCtrlAttribute (hPanel, TIMP_RBIT_9, ATTR_CTRL_TAB_POSITION, 22);
    SetCtrlAttribute (hPanel, TIMP_BUTT_9, ATTR_CTRL_TAB_POSITION, 23);
    SetCtrlAttribute (hPanel, TIMP_RBIT_10, ATTR_CTRL_TAB_POSITION, 24);
    SetCtrlAttribute (hPanel, TIMP_BUTT_10, ATTR_CTRL_TAB_POSITION, 25);
    SetCtrlAttribute (hPanel, TIMP_RBIT_5, ATTR_CTRL_TAB_POSITION, 26);
    SetCtrlAttribute (hPanel, TIMP_BUTT_5, ATTR_CTRL_TAB_POSITION, 27);
    SetCtrlAttribute (hPanel, TIMP_RBIT_4, ATTR_CTRL_TAB_POSITION, 28);
    SetCtrlAttribute (hPanel, TIMP_BUTT_4, ATTR_CTRL_TAB_POSITION, 29);
    SetCtrlAttribute (hPanel, TIMP_RBIT_3, ATTR_CTRL_TAB_POSITION, 30);
    SetCtrlAttribute (hPanel, TIMP_BUTT_3, ATTR_CTRL_TAB_POSITION, 31);
    SetCtrlAttribute (hPanel, TIMP_RBIT_2, ATTR_CTRL_TAB_POSITION, 32);
    SetCtrlAttribute (hPanel, TIMP_BUTT_2, ATTR_CTRL_TAB_POSITION, 33);
    SetCtrlAttribute (hPanel, TIMP_RBIT_1, ATTR_CTRL_TAB_POSITION, 34);
    SetCtrlAttribute (hPanel, TIMP_BUTT_1, ATTR_CTRL_TAB_POSITION, 35);
    SetCtrlAttribute (hPanel, TIMP_RBIT_0, ATTR_CTRL_TAB_POSITION, 36);
    SetCtrlAttribute (hPanel, TIMP_BUTT_0, ATTR_CTRL_TAB_POSITION, 37);
    SetCtrlAttribute (hPanel, TIMP_TEXTBOX, ATTR_CTRL_TAB_POSITION, 38);

    // Finalize panel colors, positioning, and sizing
    SetPanelAttribute (hPanel, ATTR_CONFORM_TO_SYSTEM, 0);
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 1);
    GetSystemAttribute (ATTR_RESOLUTION_ADJUSTMENT, &resAdjustment);
    if (resAdjustment == VAL_USE_PANEL_SETTING)
        resAdjustment = 0;
    if (resAdjustment)
        {
        GetMonitorFromPanel (hPanel, &monitorId);
        GetMonitorAttribute (monitorId, ATTR_HEIGHT, &screenHeight);
        GetMonitorAttribute (monitorId, ATTR_WIDTH, &screenWidth);
        SFv = (((float)screenHeight/1024)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_HEIGHT, (int)(435*SFv));
        SFh = (((float)screenWidth/1280)-1)*0.01*resAdjustment+1;
        SetPanelAttribute (hPanel, ATTR_WIDTH, (int)(390*SFh));
        SetPanelAttribute (hPanel, ATTR_TOP, (int)(39*SFv));
        SetPanelAttribute (hPanel, ATTR_LEFT, (int)(286*SFh));
        }
    SetPanelAttribute (hPanel, ATTR_SCALE_CONTENTS_ON_RESIZE, 0);

    buildMenu_tim (hPanel);

    //We're done!
    return hPanel;
Error:
    if (bitmapId)
        DiscardBitmap (bitmapId);
    return error;
}

//----------------------------------------------------------------------------------------------------
// buildMenu_tim ():  Build UI object TIM_MENU; return handle or standard UI error code.
//----------------------------------------------------------------------------------------------------
int buildMenu_tim (int hParentPanel)
{
    int hMenubar;
    int error = 0;

    // Create the menubar
    hMenubar = NewMenuBar (hParentPanel);
    SetMenuBarAttribute (hMenubar, 0, ATTR_CONSTANT_NAME, "TIM_MENU");

    // Build menu: TIM_MENU_MAIN_WINDOW
    TIM_MENU_MAIN_WINDOW = NewMenu (hMenubar, "MainWindow", -1);
    SetMenuBarAttribute (hMenubar, TIM_MENU_MAIN_WINDOW, ATTR_CONSTANT_NAME, "MAIN_WINDOW");
//  SetMenuBarAttribute (hMenubar, TIM_MENU_MAIN_WINDOW, ATTR_DIMMED, 0);
    SetMenuBarAttribute (hMenubar, TIM_MENU_MAIN_WINDOW, ATTR_CALLBACK_FUNCTION_POINTER, timMenu);

    // Build menu: TIM_MENU_VME_WINDOW
    TIM_MENU_VME_WINDOW = NewMenu (hMenubar, "VMEaccess", -1);
    SetMenuBarAttribute (hMenubar, TIM_MENU_VME_WINDOW, ATTR_CONSTANT_NAME, "VME_WINDOW");
//  SetMenuBarAttribute (hMenubar, TIM_MENU_VME_WINDOW, ATTR_DIMMED, 0);
    SetMenuBarAttribute (hMenubar, TIM_MENU_VME_WINDOW, ATTR_CALLBACK_FUNCTION_POINTER, timMenu);

    // Build menu: TIM_MENU_CLOSE
    TIM_MENU_CLOSE = NewMenu (hMenubar, "HideWindow", -1);
    SetMenuBarAttribute (hMenubar, TIM_MENU_CLOSE, ATTR_CONSTANT_NAME, "CLOSE");
//  SetMenuBarAttribute (hMenubar, TIM_MENU_CLOSE, ATTR_DIMMED, 0);
    SetMenuBarAttribute (hMenubar, TIM_MENU_CLOSE, ATTR_CALLBACK_FUNCTION_POINTER, timMenu);

    //We're done!
    return hMenubar;
Error:
    return error;
}
